{block name='account-change-password'}
    {block name='account-change-password-heading'}
        <h1>{lang key='changePassword' section='login'}</h1>
    {/block}
    {block name='account-change-password-change-password-form'}
        {block name='account-change-password-alert'}
            <div role="alert" class="alert alert-info">
                {lang key='changePasswordDesc' section='login'}
            </div>
        {/block}
        <div class="row">
            <div class="col col-md-7 col-lg-6">
                {block name='account-change-password-form-password'}
                    <form
                        method="post"
                        action="{get_static_route id='jtl.php'}"
                        id="password"
                        class="jtl-validate label-slide et-boxed-content"
                    >
                        {csrf_token}

                        {block name='account-change-password-form-password-content'}
                            {include file='snippets/form_group_simple.tpl'
                                options=[
                                    'password', 'currentPassword', 'altesPasswort', null,
                                    {lang key='currentPassword' section='login'}, true, null, "current-password"
                                ]
                            }
                            <div class="form-group d-flex flex-column" role="group">
                                <input type="password"
                                       class="form-control"
                                       placeholder=" "
                                       id="newPassword"
                                       value=""
                                       required
                                       name="neuesPasswort1"
                                       autocomplete="new-password"
                                       maxlength="255"
                                >
                                <label for="newPassword" class="col-form-label">
                                    {lang key='newPassword' section='login'}
                                </label>
                            </div>
                            {block name='account-change-password-include-password-check'}
                                {include file='snippets/password_check.tpl' id='#newPassword' loadScript=true}
                            {/block}
                            {include file='snippets/form_group_simple.tpl'
                                options=[
                                    'password', 'newPasswordRpt', 'neuesPasswort2', null,
                                    {lang key='newPasswordRpt' section='login'}, true, null, "new-password"
                                ]
                            }
                            {block name='account-change-password-form-submit'}
                                <div class="row">
                                    <div class="col col-md col-12">
                                        {include file="widgets/base/button.tpl" variant="secondary" classes="btn-back" href="{get_static_route id='jtl.php'}" label="{lang key='back'}" iconPosition="left" icon="{et_getIcon key="navigationPrevious"}"}
                                    </div>
                                    <div class="col ml-auto-util col-md-auto">
                                        <input type="hidden" name="pass_aendern" value="1" />
                                        {include file="widgets/base/button.tpl" variant="primary" classes="btn-block" type="submit" value="1" label="{lang key='changePassword' section='login'}"}
                                    </div>
                                </div>
                            {/block}
                        {/block}
                    </form>
                {/block}
            </div>
        </div>
    {/block}
{/block}
