{block name='checkout-customer-shipping-contact'}
    {if $Einstellungen.kunden.lieferadresse_abfragen_tel !== 'N'
        || $Einstellungen.kunden.lieferadresse_abfragen_fax !== 'N'
        || $Einstellungen.kunden.lieferadresse_abfragen_email !== 'N'
        || $Einstellungen.kunden.lieferadresse_abfragen_mobil !== 'N'
    }
        <fieldset class="customer-shipping-contact">
            <div class="form-row">
                {$name = 'shipping_address'}
                <div class="col col-12">
                    {block name='checkout-customer-shipping-contact.top-hr'}
                        <hr>
                    {/block}
                </div>
                <div class="col col-12">
                    {block name='checkout-customer-shipping-contact-heading'}
                        <div class="h3">{lang key='contactInformation' section='account data'}</div>
                    {/block}
                </div>
                {if $Einstellungen.kunden.lieferadresse_abfragen_email !== 'N' || $Einstellungen.kunden.lieferadresse_abfragen_mobil !== 'N'}
                    {block name='checkout-customer-shipping-contact-email-phone'}
                        {if $Einstellungen.kunden.lieferadresse_abfragen_email !== 'N'}
                        <div class="col col-12 col-md-6">
                            {block name='checkout-customer-shipping-contact-email'}
                                {include file='snippets/form_group_simple.tpl'
                                    options=[
                                        "email", "{$prefix}-{$name}-email", "{$prefix}[{$name}][email]",
                                        {$Lieferadresse->cMail|default:null}, {lang key='email' section='account data'},
                                        $Einstellungen.kunden.lieferadresse_abfragen_email, null, "shipping email"
                                    ]
                                }
                            {/block}
                        </div>
                        {/if}
                        {if $Einstellungen.kunden.lieferadresse_abfragen_mobil !== 'N'}
                            <div class="col col-12 col-md-6">
                                {block name='checkout-customer-shipping-contact-mobile'}
                                    {include file='snippets/form_group_simple.tpl'
                                        options=[
                                            "tel", "{$prefix}-{$name}-mobil", "{$prefix}[{$name}][mobil]",
                                            {$Lieferadresse->cMobil|default:null}, {lang key='mobile' section='account data'},
                                            $Einstellungen.kunden.lieferadresse_abfragen_mobil, null, "shipping mobile tel"
                                        ]
                                    }
                                {/block}
                            </div>
                        {/if}
                    {/block}
                {/if}
                {if $Einstellungen.kunden.lieferadresse_abfragen_tel !== 'N' || $Einstellungen.kunden.lieferadresse_abfragen_fax !== 'N'}
                    {block name='checkout-customer-shipping-contact-mobile-fax'}
                        {if $Einstellungen.kunden.lieferadresse_abfragen_tel !== 'N'}
                            <div class="col col-12 col-md-6">
                                {block name='checkout-customer-shipping-contact-tel'}
                                    {include file='snippets/form_group_simple.tpl'
                                        options=[
                                            "tel", "{$prefix}-{$name}-tel", "{$prefix}[{$name}][tel]",
                                            {$Lieferadresse->cTel|default:null}, {lang key='tel' section='account data'},
                                            $Einstellungen.kunden.lieferadresse_abfragen_tel, null, "shipping home tel"
                                        ]
                                    }
                                {/block}
                            </div>
                        {/if}
                        {if $Einstellungen.kunden.lieferadresse_abfragen_fax !== 'N'}
                            <div class="col col-12 col-md-6">
                                {block name='checkout-customer-shipping-contact-fax'}
                                    {include file='snippets/form_group_simple.tpl'
                                        options=[
                                            "tel", "{$prefix}-{$name}-fax", "{$prefix}[{$name}][fax]",
                                            {$Lieferadresse->cFax|default:null}, {lang key='fax' section='account data'},
                                            $Einstellungen.kunden.lieferadresse_abfragen_fax, null, "shipping fax tel"
                                        ]
                                    }
                                {/block}
                            </div>
                        {/if}
                    {/block}
                {/if}
            </div>
        </fieldset>
    {/if}
{/block}
