{block name='checkout-inc-payment-methods'}
    <div role="group" id="{uniqid()}">
        {foreach $Zahlungsarten as $zahlungsart}
            <div id="{$zahlungsart->cModulId}" class="col col-12 checkout-payment-method">

                <div class="custom-control custom-radio custom-control-inline">
                    <input
                        class="custom-control-input"
                        type="radio"
                        id="payment{$zahlungsart->kZahlungsart}"
                        name="Zahlungsart"
                        value="{$zahlungsart->kZahlungsart}"
                        {if $zahlungsart@first}required{/if}
                        {if $AktiveZahlungsart === $zahlungsart->kZahlungsart || $Zahlungsarten|@count === 1}checked{/if}
                    >
                    {block name='checkout-inc-payment-methods-label'}
                        <label for="payment{$zahlungsart->kZahlungsart}" class="custom-control-label">
                            <div class="row">
                                <div class="col col-12">
                                    {block name='checkout-inc-payment-methods-image-title'}
                                        {if $zahlungsart->cBild}
                                                {image src=$zahlungsart->cBild alt=$zahlungsart->angezeigterName|trans fluid=true class="img-sm payment-methids-image-title"}
                                        {else}
                                            <span class="content">
                                                <span class="title">{$zahlungsart->angezeigterName|trans}</span>
                                            </span>
                                        {/if}
                                    {/block}
                                    {if $zahlungsart->fAufpreis != 0}
                                        {block name='checkout-inc-payment-methods-badge'}
                                            <strong class="checkout-payment-method-badge">
                                            {if $zahlungsart->cGebuehrname|has_trans}
                                                <span>{$zahlungsart->cGebuehrname|trans} </span>
                                            {/if}
                                                {$zahlungsart->cPreisLocalized}
                                            </strong>
                                        {/block}
                                    {/if}
                                </div>

                                <div class="col col-12 col-md-9">
                                    {if $zahlungsart->cHinweisText|has_trans}
                                        {block name='checkout-inc-payment-methods-note'}
                                            <span class="checkout-payment-method-note">
                                                {$zahlungsart->cHinweisText|trans}
                                            </span>
                                        {/block}
                                    {/if}
                                </div>
                            </div>
                        </label>
                    {/block}
                </div>
            </div>
        {/foreach}
    </div>
{/block}
