{block name='checkout-inc-shipping-address'}
    {assign var=fehlendeAngabenShipping value=$fehlendeAngaben.shippingAddress|default:null}
    {assign var=showShippingAddress value=(isset($Lieferadresse) || !empty($kLieferadresse) || isset($forceDeliveryAddress))}
    <div class="et-boxed-content">
        <div class="row inc-shipping-address">
            <div class="col col-12">
                {block name='checkout-inc-shipping-address-checkbox-equals'}
                    <div class="form-group checkbox control-toggle">
                        <input type="hidden" name="shipping_address" value="1" />
                        <div class="custom-control custom-checkbox custom-control-inline">
                            <input class="custom-control-input {if isset($forceDeliveryAddress)}d-none{/if}"
                                type="checkbox" id="checkout_register_shipping_address"
                                value="0"
                                name="shipping_address"
                                data-toggle="collapse"
                                data-target="#select_shipping_address"
                                {if !$showShippingAddress}checked{/if}
                            />
                            <label for="checkout_register_shipping_address" class="custom-control-label">
                                {lang key='shippingAdressEqualBillingAdress' section='account data'}
                            </label>
                        </div>
                    </div>
                {/block}
            </div>
            <div class="col col-12">
                {block name='checkout-inc-shipping-address-shipping-address'}
                <div id="select_shipping_address" class="collapse collapse-non-validate{if $showShippingAddress} show{/if}" aria-expanded="{if $showShippingAddress}true{else}false{/if}">
                    {block name='checkout-inc-shipping-address-shipping-address-body'}
                        {if !empty($smarty.session.Kunde->kKunde) && isset($Lieferadressen) && $Lieferadressen|count > 0}
                            <div class="row">
                                <div class="col col-12">
                                    {block name='checkout-inc-shipping-address-legend-address'}
                                        <div class="h3">{lang key='deviatingDeliveryAddress' section='account data'}</div>
                                    {/block}
                                </div>
                                <div class="col col-12">
                                    {block name='checkout-inc-shipping-address-fieldset-address'}
                                        <fieldset>
                                            <ul class="list-group form-group exclude-from-label-slide">
                                            {foreach $Lieferadressen as $adresse}
                                                {if $adresse->kLieferadresse > 0}
                                                    {block name='checkout-inc-shipping-address-address'}
                                                        <li class="list-group-item">
                                                            <label class="btn-block no-caret text-wrap" for="delivery{$adresse->kLieferadresse}" data-toggle="collapse" data-target="#register_shipping_address.show">
                                                                <div class="custom-control custom-radio custom-control-inline">
                                                                    <input
                                                                        class="custom-control-input"
                                                                        type="radio"
                                                                        id="delivery{$adresse->kLieferadresse}"
                                                                        name="kLieferadresse"
                                                                        value="{$adresse->kLieferadresse}"
                                                                        {if ($kLieferadresse == $adresse->kLieferadresse)}checked{/if}
                                                                    >
                                                                    <label for="delivery{$adresse->kLieferadresse}" class="custom-control-label">
                                                                        <span class="control-label label-default">{if $adresse->cFirma}{$adresse->cFirma},{/if} {$adresse->cVorname} {$adresse->cNachname}
                                                                        , {$adresse->cStrasse} {$adresse->cHausnummer}, {$adresse->cPLZ} {$adresse->cOrt}
                                                                        , {$adresse->angezeigtesLand}</span>
                                                                    </label>
                                                                </div>
                                                            </label>
                                                        </li>
                                                    {/block}
                                                {/if}
                                            {/foreach}
                                            {block name='checkout-inc-shipping-address-new-address'}
                                                <li class="list-group-item">
                                                    <label class="btn-block" for="delivery_new" data-toggle="collapse" data-target="#register_shipping_address:not(.show)">
                                                        <div class="custom-control custom-radio custom-control-inline">
                                                            <input
                                                                class="custom-control-input"
                                                                type="radio"
                                                                id="delivery_new"
                                                                name="kLieferadresse"
                                                                value="-1"
                                                                required
                                                                aria-required="true"
                                                                {if ($kLieferadresse == -1)}checked{/if}
                                                            >
                                                            <label for="delivery_new" class="custom-control-label">
                                                                <span class="control-label label-default">{lang key='createNewShippingAdress' section='account data'}</span>
                                                            </label>
                                                        </div>
                                                    </label>
                                                </li>
                                            {/block}
                                            </ul>
                                        </fieldset>
                                    {/block}
                                    {block name='checkout-inc-shipping-address-fieldset-register'}
                                        <fieldset id="register_shipping_address" class="checkout-register-shipping-address collapse collapse-non-validate {if $kLieferadresse == -1}} show{/if}" aria-expanded="{if $kLieferadresse == -1}}true{else}false{/if}">
                                            {block name='checkout-inc-shipping-address-legend-register'}
                                                <legend>{lang key='createNewShippingAdress' section='account data'}</legend>
                                            {/block}
                                            {block name='checkout-inc-shipping-address-include-customer-shipping-address'}
                                                {include file='checkout/customer_shipping_address.tpl' prefix="register" fehlendeAngaben=$fehlendeAngabenShipping}
                                            {/block}
                                            {block name='checkout-inc-shipping-address-include-customer-shipping-contact'}
                                                {include file='checkout/customer_shipping_contact.tpl' prefix="register" fehlendeAngaben=$fehlendeAngabenShipping}
                                            {/block}
                                        </fieldset>
                                    {/block}
                                </div>
                            </div>
                        {else}
                            <div class="row">
                                <div class="col col-12">
                                    {block name='checkout-inc-shipping-address-legend-register-first'}
                                        <div class="h3">{lang key='createNewShippingAdress' section='account data'}</div>
                                    {/block}
                                </div>
                                <div class="col col-12">
                                    {block name='checkout-inc-shipping-address-include-customer-shipping-address-first'}
                                        {include file='checkout/customer_shipping_address.tpl' prefix="register" fehlendeAngaben=$fehlendeAngabenShipping}
                                    {/block}
                                    {block name='checkout-inc-shipping-address-include-customer-shipping-contact-first'}
                                        {include file='checkout/customer_shipping_contact.tpl' prefix="register" fehlendeAngaben=$fehlendeAngabenShipping}
                                    {/block}
                                </div>
                            </div>
                        {/if}
                    {/block}
                </div>
                {/block}
            </div>
        </div>
        {if isset($smarty.get.editLieferadresse) || $step === 'Lieferadresse'}
            {block name='checkout-inc-shipping-address-script-show-shipping-address'}
                {inline_script}<script>
                    $(window).on('load', function () {
                        var $registerShippingAddress = $('#checkout_register_shipping_address');
                        if ($registerShippingAddress.prop('checked')) {
                            $registerShippingAddress.click();
                        }
                        $.evo.extended().smoothScrollToAnchor('#checkout_register_shipping_address');
                    });
                </script>{/inline_script}
            {/block}
        {/if}
    </div>
{/block}
