{block name='layout-breadcrumb'}
    {strip}
    {if !empty($Brotnavi) && !$bExclusive && !$bAjaxRequest && $nSeitenTyp !== $smarty.const.PAGE_STARTSEITE && $nSeitenTyp !== $smarty.const.PAGE_WARENKORB && $nSeitenTyp !== $smarty.const.PAGE_BESTELLVORGANG && $nSeitenTyp !== $smarty.const.PAGE_BESTELLSTATUS && $nSeitenTyp !== $smarty.const.PAGE_BESTELLABSCHLUSS}
        <div class="row no-gutters breadcrumb-wrapper">
            <div class="col col-auto">
                <nav aria-label="breadcrumb" id="breadcrumb" itemprop="breadcrumb" itemscope itemtype="https://schema.org/BreadcrumbList">
                    <ol class="breadcrumb">
                        {$homepageUrl = "{if isset($ShopHomeURL)}{$ShopHomeURL|rtrim:'/'}{else}{$ShopURL|rtrim:'/'}{/if}/"}
                        {block name='layout-breadcrumb-sm-back'}
                            {$parent = $Brotnavi[($Brotnavi|count - 2)|max:0]}
                            {if $parent !== null}
                                <li class="breadcrumb-item breadcrumb-arrow">
                                    <a class="breadcrumb-link"
                                        href="{$parent->getURLFull()}"
                                        title="{sanitizeTitle title=$parent->getName()}"
                                        target="_self"
                                    >
                                        <meta itemprop="name" content="{$parent->getName()|strip_tags|escape:'html'}" />
                                        <span>{if $parent->getURLFull() === $homepageUrl}<i class="{et_getIcon key="home"}"></i>{else}{$parent->getName()}{/if}</span>
                                    </a>
                                </li>
                            {/if}
                        {/block}
                        {block name='layout-breadcrumb-items'}
                            {foreach $Brotnavi as $oItem}
                                {if $oItem@first}
                                    {block name='layout-breadcrumb-first-item'}
                                        <li class="breadcrumb-item first" itemprop="itemListElement" itemscope itemtype="https://schema.org/ListItem">
                                            <a class="breadcrumb-link link-discreet"
                                                href="{$oItem->getURLFull()}"
                                                title="{sanitizeTitle title=$oItem->getName()}"
                                                target="_self"
                                                itemprop="url"
                                            >
                                                <span>{if $oItem->getURLFull() === $homepageUrl}<i class="{et_getIcon key="home"}"></i>{else}{$oItem->getName()|escape:'html'}{/if}</span>
                                                <meta itemprop="name" content="{$oItem->getName()|strip_tags|escape:'html'}" />
                                                <meta itemprop="item" content="{$oItem->getURLFull()}" />
                                                <meta itemprop="position" content="{$oItem@iteration}" />
                                            </a>
                                            {if !$oItem@last}<i class="breadcrumb-divider {et_getIcon key="breadcrumbDivider"}"></i>{/if}
                                        </li>
                                    {/block}
                                {elseif $oItem@last}
                                    {block name='layout-breadcrumb-last-item'}
                                        <li class="breadcrumb-item last active" itemprop="itemListElement" itemscope itemtype="https://schema.org/ListItem">
                                            <a class="breadcrumb-link link-discreet" href="{$oItem->getURLFull()}" title="{sanitizeTitle title=$oItem->getName()}" target="_self" itemprop="url">
                                                <span>
                                                    {if $oItem->getURLFull() === $homepageUrl}
                                                        <i class="{et_getIcon key="home"}"></i>
                                                    {elseif $oItem->getName() !== null}
                                                        {$oItem->getName()}
                                                    {elseif !empty($Suchergebnisse->getSearchTermWrite())}
                                                        {$Suchergebnisse->getSearchTermWrite()}
                                                    {/if}
                                                </span>
                                                <meta itemprop="name" content="{if $oItem->getName() !== null}{$oItem->getName()|strip_tags|escape:'html'}{elseif !empty($Suchergebnisse->getSearchTermWrite())}{$Suchergebnisse->getSearchTermWrite()|strip_tags|escape:'html'}{/if}" />
                                                <meta itemprop="item" content="{$oItem->getURLFull()}" />
                                                <meta itemprop="position" content="{$oItem@iteration}" />
                                            </a>
                                        </li>
                                    {/block}
                                {else}
                                    {block name='layout-breadcrumb-item'}
                                        <li class="breadcrumb-item" itemprop="itemListElement" itemscope itemtype="https://schema.org/ListItem">
                                            <a class="breadcrumb-link link-discreet"
                                                href="{$oItem->getURLFull()}"
                                                title="{sanitizeTitle title=$oItem->getName()}"
                                                target="_self"
                                                itemprop="url"
                                            >
                                                <span>{if $oItem->getURLFull() === $homepageUrl}<i class="{et_getIcon key="home"}"></i>{else}{$oItem->getName()}{/if}</span>
                                                <meta itemprop="name" content="{$oItem->getName()|strip_tags|escape:'html'}" />
                                                <meta itemprop="item" content="{$oItem->getURLFull()}" />
                                                <meta itemprop="position" content="{$oItem@iteration}" />
                                            </a>
                                            {if !$oItem@last}<i class="breadcrumb-divider {et_getIcon key="breadcrumbDivider"}"></i>{/if}
                                        </li>
                                    {/block}
                                {/if}
                            {/foreach}
                        {/block}
                    </ol>
                </nav>
            </div>
            <div class="col navigation-arrows">
                {et_getSetting section='AreaProduct' assign='etProductSettings'}
                {if !empty($NavigationBlaettern) && $etProductSettings.showNavigation}
                    {block name='layout-header-product-pagination'}
                        {if isset($NavigationBlaettern->naechsterArtikel->kArtikel)}
                            <a  class="btn btn-link"
                                href="{$NavigationBlaettern->naechsterArtikel->cURLFull}"
                                title="{sanitizeTitle title=$NavigationBlaettern->naechsterArtikel->cName}"
                                aria-label="{lang section='productDetails' key='nextProduct'}: {$NavigationBlaettern->naechsterArtikel->cName}"
                            >
                                <span class="{et_getIcon key="navigationNext"}"></span>
                            </a>
                        {/if}
                        {if isset($NavigationBlaettern->vorherigerArtikel->kArtikel)}
                            <a  class="btn btn-link"
                                href="{$NavigationBlaettern->vorherigerArtikel->cURLFull}"
                                title="{sanitizeTitle title=$NavigationBlaettern->vorherigerArtikel->cName}"
                                aria-label="{lang section='productDetails' key='previousProduct'}: {$NavigationBlaettern->vorherigerArtikel->cName}"
                            >
                                <span class="{et_getIcon key="navigationPrevious"}"></span>
                            </a>
                        {/if}
                    {/block}
                {/if}
            </div>
        </div>
    {/if}
    {/strip}
{/block}
