{block name='page-livesearch'}
    {if count($LivesucheTop) > 0 || count($LivesucheLast) > 0}
        {opcMountPoint id='opc_before_livesearch' inContainer=true}
        <div>
            <div id="livesearch" class="row mt-4">
                {block name='page-livesearch-top-searches'}
                    <div class="col">
                        <div class="h2">{lang key='topsearch'}{$Einstellungen.sonstiges.sonstiges_livesuche_all_top_count}</div>
                        <ul class="list-unstyled">
                            {if count($LivesucheTop) > 0}
                                {foreach $LivesucheTop as $suche}
                                    <li class="my-2">
                                        <a href="{$suche->cURL}" class="mr-1">{$suche->cSuche}</a>,
                                        {lang key='matches'}: <span class="badge-pill badge-primary">{$suche->nAnzahlTreffer}</span>
                                    </li>
                                {/foreach}
                            {else}
                                <li class="my-2">{lang key='noDataAvailable'}</li>
                            {/if}
                        </ul>
                    </div>
                {/block}
                {block name='page-livesearch-latest-searches'}
                    <div class="col">
                        <div class="h2">{lang key='lastsearch'}</div>
                        <ul class="list-unstyled">
                            {if count($LivesucheLast) > 0}
                                {foreach $LivesucheLast as $suche}
                                    <li class="my-2">
                                        <a class="mr-1" href="{$suche->cURL}">{$suche->cSuche}</a>,
                                        {lang key='matches'}:<span class="badge-pill badge-primary">{$suche->nAnzahlTreffer}</span>
                                    </li>
                                {/foreach}
                            {else}
                                <li class="my-2">{lang key='noDataAvailable'}</li>
                            {/if}
                        </ul>
                    </div>
                {/block}
            </div>
        </div>
    {/if}
{/block}
