{block name='page-manufacturers'}
    {opcMountPoint id='opc_before_manufacturers' inContainer=true}
    {block name='page-manufacturers-content'}
        <div class="page-manufacturers">
            <div class="row">
                {foreach $oHersteller_arr as $manufacturer}
                    <div class="col-6 col-sm-4 col-md-3 col-xl-2">
                        <a href="{$manufacturer->cURL}" title="{$manufacturer->cMetaTitle|escape:'html'}">
                            <div class="square square-image manufacturer-image-wrapper">
                                <div class="inner">
                                    {if !empty($manufacturer->getImage(\JTL\Media\Image::SIZE_MD))}
                                        {image fluid=true lazy=true webp=true
                                        src=$manufacturer->getImage(\JTL\Media\Image::SIZE_MD)
                                        alt=$manufacturer->getName()|escape:'html'}
                                    {/if}
                                </div>
                            </div>
                            {$manufacturer->getName()}
                        </a>
                    </div>
                {/foreach}
            </div>
        </div>
    {/block}
{/block}
