{block name='productdetails-matrix-list'}
    {if $Artikel->nIstVater == 1 && $Artikel->oVariationKombiKinderAssoc_arr|count > 0}
        {block name='productdetails-index-childs'}
            {foreach $Artikel->oVariationKombiKinderAssoc_arr as $child}
                {if $Einstellungen.artikeldetails.artikeldetails_warenkorbmatrix_lagerbeachten !== 'Y' ||
                ($Einstellungen.artikeldetails.artikeldetails_warenkorbmatrix_lagerbeachten === 'Y' && $child->inWarenkorbLegbar == 1)}
                    <div class="row matrix-list">
                        {block name='productdetails-matrix-list-image'}
                            <div class="col col-6 col-md-2">
                                {include file='snippets/image.tpl' item=$child srcSize='xs'}
                            </div>
                        {/block}
                        {block name='productdetails-matrix-list-coming-soon'}
                            <div class="col col-6 col-md-5">
                                <div>
                                    <a href="{$child->cURLFull}" title="{$child->cName|strip_tags|unescape:'htmlall'|escape:'html'}"><span itemprop="name">{$child->cName}</span></a>
                                </div>
                                <div class="small">
                                    {if $child->nErscheinendesProdukt}
                                        {lang key='productAvailableFrom'}: <strong>{$child->Erscheinungsdatum_de}</strong>
                                        {if $Einstellungen.global.global_erscheinende_kaeuflich === 'Y' && $child->inWarenkorbLegbar == 1}
                                            ({lang key='preorderPossible'})
                                        {/if}
                                    {/if}
                                    {block name='productdetails-matrix-list-include-stock'}
                                        {include file='productdetails/stock.tpl' Artikel=$child tplscope='matrix'}
                                    {/block}
                                </div>
                            </div>
                        {/block}
                        {block name='productdetails-matrix-list-var-box-count'}
                            <div class="col col-6 col-md-2">
                                {if $child->inWarenkorbLegbar == 1 && !$child->bHasKonfig && ($child->nVariationAnzahl == $child->nVariationOhneFreifeldAnzahl)}
                                    <div class="input-group input-group-sm float-right {if isset($smarty.session.variBoxAnzahl_arr[$child->kArtikel]->bError) && $smarty.session.variBoxAnzahl_arr[$child->kArtikel]->bError} has-error{/if}">
                                        {if $child->cEinheit}
                                            <div class="input-group-prepend unit">
                                                <div class="input-group-text">
                                                    {$child->cEinheit}:
                                                </div>
                                            </div>
                                        {/if}
                                    <input placeholder="0"
                                        name="variBoxAnzahl[{$child->kArtikel}]"
                                        type="text"
                                        value="{if isset($smarty.session.variBoxAnzahl_arr[$child->kArtikel]->fAnzahl)}{$smarty.session.variBoxAnzahl_arr[$child->kArtikel]->fAnzahl|replace_delim}{/if}"
                                        class="form-control text-right-util"
                                        aria-label="{lang key='quantity'} {$child->cName}"
                                    />
                                    </div>
                                {/if}
                            </div>
                        {/block}
                        {block name='productdetails-matrix-list-muted-x'}
                            <div class="col col-1 text-right-util">
                                <span class="text-muted-util">&times;</span>
                            </div>
                        {/block}
                        {block name='productdetails-matrix-list-include-price'}
                            <div class="col col-5 col-md-2 text-right-util">
                                {include file='productdetails/price.tpl' Artikel=$child tplscope='matrix'}
                            </div>
                        {/block}
                    </div>
                {/if}
            {/foreach}
        {/block}
        {block name='productdetails-matrix-list-submit'}
            <input type="hidden" name="variBox" value="1" />
            <input type="hidden" name="varimatrix" value="1" />
            <div class="row product-matrix-submit">
                <div class="col col-12 col-md-4 col-lg-3">
                    {include file="widgets/base/button.tpl" name="inWarenkorb" type="submit" value="1" variant="cart" classes="btn-block btn-basket-check" label="{lang key='addToCart'}"}
                </div>
            </div>
        {/block}
    {/if}
{/block}
