{block name='productdetails-mediafile'}
    {if !empty($Artikel->oMedienDatei_arr)}
        {assign var=mp3List value=false}
        {assign var=titles value=false}
        <div class="mediafiles card-columns {if $mediaType->count < 3}card-columns-2{/if}">
        {foreach $Artikel->oMedienDatei_arr as $oMedienDatei}
            {if ($mediaType->name == $oMedienDatei->cMedienTyp && $oMedienDatei->cAttributTab|count_characters == 0)
            || ($oMedienDatei->cAttributTab|count_characters > 0 && $mediaType->name == $oMedienDatei->cAttributTab)}
                {if $oMedienDatei->nErreichbar == 0}
                    {block name='productdetails-mediafilealert'}
                        <div class="col mediafiles-no-media">
                            <div role="alert" class="alert alert-danger">
                                <div class="sr-only">x</div>
                                {lang key='noMediaFile' section='errorMessages'}
                            </div>
                        </div>
                    {/block}
                {else}
                    {assign var=cName value=$oMedienDatei->cName}
                    {assign var=titles value=$titles|cat:$cName}
                    {if !$oMedienDatei@last}
                        {assign var=titles value=$titles|cat:'|'}
                    {/if}

                    {* Images *}
                    {if $oMedienDatei->nMedienTyp === 1}
                        {block name='productdetails-mediafile-images'}
                            {$cMediaAltAttr = ""}
                            {if isset($oMedienDatei->oMedienDateiAttribut_arr) && $oMedienDatei->oMedienDateiAttribut_arr|@count > 0}
                                {foreach $oMedienDatei->oMedienDateiAttribut_arr as $oAttribut}
                                    {if $oAttribut->cName === 'img_alt'}
                                        {assign var=cMediaAltAttr value=$oAttribut->cWert}
                                    {/if}
                                {/foreach}
                            {/if}
                            <div class="card">
                                <img src="{if !empty($oMedienDatei->cPfad)}{$smarty.const.PFAD_MEDIAFILES}{$oMedienDatei->cPfad}{elseif !empty($oMedienDatei->cURL)}{$oMedienDatei->cURL}{/if}" alt="{$cMediaAltAttr}" class="card-img-top">
                                <div class="card-body">
                                    <h4 class="card-title">{$oMedienDatei->cName}</h4>
                                    <p>{$oMedienDatei->cBeschreibung}</p>
                                </div>
                            </div>
                        {/block}
                        {* Audio *}
                    {elseif $oMedienDatei->nMedienTyp === 2}
                        {if $oMedienDatei->cName|strlen > 1}
                            {block name='productdetails-mediafile-audio'}
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="card-title">{$oMedienDatei->cName}</h4>

                                        <div class="row">
                                            <div class="col col-12 mediafiles-description">
                                                {$oMedienDatei->cBeschreibung}
                                            </div>
                                            <div class="col col-12">
                                                {if $oMedienDatei->cPfad|strlen > 1 || $oMedienDatei->cURL|strlen > 1}
                                                    {assign var=audiosrc value=$oMedienDatei->cURL}
                                                    {if $oMedienDatei->cPfad|strlen > 1}
                                                        {assign var=audiosrc value=$ShopURL|cat:'/':$smarty.const.PFAD_MEDIAFILES:$oMedienDatei->cPfad}
                                                    {/if}
                                                    {if $audiosrc|strlen > 1}
                                                        <audio controls controlslist="nodownload">
                                                            <source src="{$audiosrc}" type="audio/mpeg">
                                                            {lang key='audioTagNotSupported' section='errorMessages'}
                                                        </audio>
                                                    {/if}
                                                {/if}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {/block}
                        {/if}

                    {* Video *}
                    {elseif $oMedienDatei->nMedienTyp === 3}
                        {block name='productdetails-mediafile-video'}
                            {if ($oMedienDatei->videoType === 'mp4'
                            || $oMedienDatei->videoType === 'webm'
                            || $oMedienDatei->videoType === 'ogg')}
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="card-title">{$oMedienDatei->cName}</h4>
                                        <div class="row">
                                            <div class="col col-12 mediafiles-description">
                                                {$oMedienDatei->cBeschreibung}
                                            </div>
                                            <div class="col col-12">
                                                <video class="product-detail-video mw-100" controls>
                                                    <source src="{$ShopURL}/{$smarty.const.PFAD_MEDIAFILES}{$oMedienDatei->cPfad}" type="video/{$oMedienDatei->videoType}">
                                                    {lang key='videoTagNotSupported' section='errorMessages'}
                                                </video>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {else}
                                {lang key='videoTypeNotSupported' section='errorMessages'}
                            {/if}
                        {/block}
                    {* Sonstiges *}
                    {elseif $oMedienDatei->nMedienTyp === 4}
                        {block name='productdetails-mediafile-misc'}
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">{$oMedienDatei->cName}</h4>
                                    <div class="row">
                                        <div class="col col-12 mediafiles-description">
                                            {$oMedienDatei->cBeschreibung}
                                        </div>
                                        <div class="col col-12">
                                            {if $oMedienDatei->cURL|strpos:'youtube' !== false || $oMedienDatei->cURL|strpos:'youtu.be' !== false}
                                                {include file='productdetails/mediafile_youtube_embed.tpl'}
                                            {else}
                                                {if isset($oMedienDatei->oEmbed) && $oMedienDatei->oEmbed->code}
                                                    {$oMedienDatei->oEmbed->code}
                                                {/if}
                                                {if !empty($oMedienDatei->cPfad)}
                                                    <p>
                                                        <a href="{$ShopURL}/{$smarty.const.PFAD_MEDIAFILES}{$oMedienDatei->cPfad}" target="_blank">{$oMedienDatei->cName}</a>
                                                    </p>
                                                {elseif !empty($oMedienDatei->cURL)}
                                                    <p>
                                                        <a href="{$oMedienDatei->cURL}" target="_blank"><i class="{et_getIcon key="mediaLink"}"></i> {$oMedienDatei->cName}</a>
                                                    </p>
                                                {/if}
                                            {/if}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {/block}
                        {* PDF *}
                    {elseif $oMedienDatei->nMedienTyp == 5}
                        {block name='productdetails-mediafile-pdf'}
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="card-title">{$oMedienDatei->cName}</h4>
                                    <div class="row">
                                        <div class="col col-md-6 mediafiles-description">
                                            {$oMedienDatei->cBeschreibung}
                                        </div>
                                        <div class="col col-md-6">
                                            {if !empty($oMedienDatei->cPfad)}
                                                <a class="text-decoration-none-util"
                                                    href="{$ShopURL}/{$smarty.const.PFAD_MEDIAFILES}{$oMedienDatei->cPfad}"
                                                    target="_blank"
                                                >
                                                    {image alt="PDF" src="{$smarty.const.PFAD_BILDER}intern/file-pdf.png"}
                                                    <span class="text-decoration-underline" >{$oMedienDatei->cName}</span>
                                                </a>
                                            {elseif !empty($oMedienDatei->cURL)}
                                                <a class="text-decoration-none-util" href="{$oMedienDatei->cURL}"  target="_blank">
                                                    {image alt="PDF" src="{$smarty.const.PFAD_BILDER}intern/file-pdf.png"}
                                                    <span class="text-decoration-underline">{$oMedienDatei->cName}</span>
                                                </a>
                                            {/if}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {/block}
                    {/if}
                {/if}
            {/if}
        {/foreach}
        </div>
    {/if}
{/block}
