{block name='register-form'}
    <form method="POST" action="{get_static_route id='registrieren.php'}" class="jtl-validate register-form clearfix label-slide">
        {csrf_token}

        {block name='register-form-content'}
            {block name='register-form-include-customer-account'}
                {include file='register/form/customer_account.tpl'}
            {/block}
            {block name='register-form-hr'}{/block}
            {if isset($checkout) && $checkout === 1}
                {block name='register-form-include-inc-shipping-address'}
                    {include file='checkout/inc_shipping_address.tpl'}
                {/block}
            {/if}
            {block name='register-form-submit'}
                <div class="row checkout-button-row">
                    {if isset($oSpezialseiten_arr[$smarty.const.LINKTYP_DATENSCHUTZ])}
                    <div class="col col-12 checkout-register-form-buttons-privacy">
                        {block name='register-form-submit-privacy'}
                            <a href="{$oSpezialseiten_arr[$smarty.const.LINKTYP_DATENSCHUTZ]->getURL()}" class="popup">
                                {lang key='privacyNotice'}
                            </a>
                        {/block}
                    </div>
                    {/if}
                    <div class="col col-12 col-md-4 col-xl-3 checkout-button-row-submit">
                        <input type="hidden" name="checkout" value="{$checkout|default:''}"/>
                        <input type="hidden" name="form" value="1"/>
                        <input type="hidden" name="editRechnungsadresse" value="{$editRechnungsadresse}"/>
                        {opcMountPoint id='opc_before_submit'}
                        {block name='register-form-submit-button'}
                            {include file="widgets/base/button.tpl" type="submit" value="1" variant="primary" classes="btn-block submit_once" label="{lang key='sendCustomerData' section='account data'}"}
                        {/block}
                    </div>
                </div>
            {/block}
        {/block}
    </form>
{/block}
