{block name='snippets-filter-manufacturer'}
    {$limit = $limit|default:-1}
    {$collapseInit = false}
    {if $Einstellungen.navigationsfilter.hersteller_anzeigen_als === 'B'}
        <ul class="nav nav-filter-has-image">
    {/if}
    {foreach $filter->getOptions() as $filterOption}
        {assign var=filterIsActive value=$filterOption->isActive() || $NaviFilter->getFilterValue($filter->getClassName()) === $filterOption->getValue()}
        {if $limit != -1 && $filterOption@iteration > $limit && !$collapseInit}
            {block name='snippets-filter-manufacturer-more-top'}
                <div class="collapse {if $filter->isActive()} show{/if}" id="box-collps-filter{$filter->getNiceName()}" aria-expanded="false" role="button">
                    <ul class="nav {if $Einstellungen.navigationsfilter.hersteller_anzeigen_als !== 'B'}flex-column{/if}">
                {$collapseInit = true}
            {/block}
        {/if}
        {block name='snippets-filter-manufacturer-item'}
            <a href="{if !empty($filterOption->getURL())}{$filterOption->getURL()}{else}#{/if}"
                title="{$filterOption->getName()|escape:'html'}: {$filterOption->getCount()}"
                {if $Einstellungen.navigationsfilter.hersteller_anzeigen_als == 'B'}
                    data-toggle="tooltip"
                    data-placement="top"
                    data-boundary="window"
                {/if}
                class="nav-link filter-item {if $filterOption->isActive()}active{/if}"
                rel="nofollow"
            >
                <div class="box-link-wrapper">
                    {if $Einstellungen.navigationsfilter.hersteller_anzeigen_als == 'B'}
                        {block name='snippets-filter-manufacturer-item-image'}
                            {image lazy=true webo=true
                                src=$filterOption->getData('cBildpfadKlein')
                                class="vmiddle filter-img"
                            }
                            <span class="d-none filter-item-value">{$filterOption->getName()}</span>
                        {/block}
                    {elseif $Einstellungen.navigationsfilter.hersteller_anzeigen_als === 'BT'}
                        {block name='snippets-filter-manufacturer-item-image-text'}
                            {image lazy=true webp=true
                                src=$filterOption->getData('cBildpfadKlein')
                                class="vmiddle filter-img"
                            }
                            <span class="et-filter-option-name filter-item-value">{$filterOption->getName()}</span>
                            <span class="badge badge-outline-secondary">{$filterOption->getCount()}</span>
                        {/block}
                    {elseif $Einstellungen.navigationsfilter.hersteller_anzeigen_als === 'T'}
                        {block name='snippets-filter-manufacturer-item-text'}
                            <i class="{if $filterIsActive === true}{et_getIcon key="filterActive"}{else}{et_getIcon key="filterInactive"}{/if} snippets-filter-item-icon-right"></i>
                            <span class="et-filter-option-name filter-item-value">{$filterOption->getName()}</span>
                            <span class="badge badge-outline-secondary">{$filterOption->getCount()}</span>
                        {/block}
                    {/if}
                </div>
            </a>
        {/block}
    {/foreach}
    {if $limit != -1 && $filter->getOptions()|count > $limit}
        {block name='snippets-filter-manufacturer-more-bottom'}
                </ul>
            </div>
            <div class="snippets-filter-show-all">
                <button
                    class="btn btn-link"
                    role="button"
                    data-toggle="collapse"
                    data-target="#box-collps-filter{$filter->getNiceName()}"
                >
                    {lang key='showAll'}
                </button>
            </div>
        {/block}
    {/if}
    {if $Einstellungen.navigationsfilter.hersteller_anzeigen_als === 'B'}
        </ul>
    {/if}
{/block}
