{block name='boxes-box-filter-characteristics'}
    {if $nSeitenTyp === $smarty.const.PAGE_ARTIKELLISTE
        && !($isMobile || $Einstellungen.template.productlist.filter_placement === 'modal')}
        {foreach $oBox->getItems() as $characteristic}
            <div id="sidebox{$oBox->getID()}-{$characteristic->getID()}" class="box box-filter-characteristics d-none d-lg-block">
                <button
                    class="btn btn-link btn-block btn-filter-box dropdown-toggle"
                    role="button"
                    data-toggle="collapse"
                    data-target="#cllps-box{$oBox->getID()}-{$characteristic->getID()}"
                >
                    <span class="characteristic-collapse-btn-inner text-truncate">
                        {$img = $characteristic->getImage(\JTL\Media\Image::SIZE_XS)}
                        {if $Einstellungen.navigationsfilter.merkmal_anzeigen_als !== 'T'
                        && $img !== null
                        && $img|strpos:$smarty.const.BILD_KEIN_MERKMALBILD_VORHANDEN === false
                        && $img|strpos:$smarty.const.BILD_KEIN_ARTIKELBILD_VORHANDEN === false}
                            {include file='snippets/image.tpl'
                                item=$characteristic
                                square=false
                                class='img-xs'
                                srcSize='xs'
                                sizes='24px'}
                        {/if}
                        {if $Einstellungen.navigationsfilter.merkmal_anzeigen_als !== 'B'}
                            {$characteristic->getName()}
                        {/if}
                    </span>
                </button>

                <div class="collapse {if $characteristic->isActive() || $Einstellungen.template.productlist.filter_items_always_visible === 'Y'}show{/if}" id="cllps-box{$oBox->getID()}-{$characteristic->getID()}">
                    {block name='boxes-box-filter-characteristics-characteristics'}
                        {if ($characteristic->getData('cTyp') === 'SELECTBOX') && $characteristic->getOptions()|@count > 0}
                            {block name='boxes-box-filter-characteristics-select'}
                                <div class="dropdown">
                                    <button
                                        class="btn btn-secondary dropdown-toggle btn-block text-left-util"
                                        type="button"
                                        data-toggle="dropdown"
                                        aria-haspopup="true"
                                        aria-expanded="false"
                                    >
                                        {lang key='selectFilter' section='global'}
                                    </button>

                                    <div class="dropdown-menu">
                                        {block name='boxes-box-filter-characteristics-include-characteristics-dropdown'}
                                            {include file='snippets/filter/characteristic.tpl' Merkmal=$characteristic}
                                        {/block}
                                    </div>
                                </div>
                            {/block}
                        {else}
                            {block name='boxes-box-filter-characteristics-link'}
                                {block name='boxes-box-filter-characteristics-include-characteristics-link'}
                                    {include file='snippets/filter/characteristic.tpl' Merkmal=$characteristic}
                                {/block}
                            {/block}
                        {/if}
                    {/block}
                </div>
                {block name='boxes-box-filter-characteristics-hr'}
                    <hr class="box-filter-hr">
                {/block}
            </div>
        {/foreach}
    {/if}
{/block}
