{block name='checkout-coupon-form'}
    {assign var="couponPosition" value=$couponPosition|default:''}

    {if $KuponMoeglich == 1}
        {if $couponPosition === 'inAffix'}
            <div id="coupon-form">
                <form method="post" action="{get_static_route id='bestellvorgang.php'}" class="form jtl-validate checkout-coupon-form coupon-form label-slide">
                    {csrf_token}

                    {block name='checkout-coupon-form-form-content'}
                        <input type="hidden" name="pruefekupon" value="1" />
                        {formgroup label-for="couponCode" label={lang key='couponCode' section='account data'} class="mw-100{if !empty($invalidCouponCode)} has-error{/if}"}
                            <input type="text"
                                name="Kuponcode"
                                maxlength="32"
                                value="{if !empty($Kuponcode)}{$Kuponcode}{/if}"
                                id="kupon"
                                placeholder="{lang key='couponCode' section='account data'}"
                                aria-label="{lang key='couponCode' section='account data'}"
                                required
                                class="form-control"
                                />
                        {/formgroup}
                        {include file="widgets/base/button.tpl" type="submit" value="1" variant="secondary" classes="btn-block" label="{lang key='useCoupon' section='checkout'}"}
                    {/block}
                </form>
            </div>
        {else}
            <form method="post" action="{get_static_route id='bestellvorgang.php'}" class="form jtl-validate checkout-coupon-form coupon-form label-slide">
                {csrf_token}

                {block name='checkout-coupon-form-form-content'}
                    <input type="hidden" name="pruefekupon" value="1" />
                    <fieldset>
                        {block name='checkout-coupon-form-btn'}
                            <div class="input-group">
                                <input type="text"
                                    name="Kuponcode"
                                    maxlength="32"
                                    value="{if !empty($Kuponcode)}{$Kuponcode}{/if}"
                                    id="kupon"
                                    placeholder="{lang key='couponCode' section='account data'}"
                                    aria-label="{lang key='couponCode' section='account data'}"
                                    required
                                    class="form-control"
                                />
                                <div class="input-group-append">
                                    {include file="widgets/base/button.tpl" type="submit" value="1" variant="primary" label="{lang key='useCoupon' section='checkout'}"}
                                </div>
                            </div>
                        {/block}
                    </fieldset>
                {/block}
            </form>
        {/if}
    {/if}
{/block}