{block name='checkout-index'}
    {block name='checkout-index-include-header'}
        {if !isset($bAjaxRequest) || !$bAjaxRequest}
            {include file='layout/header.tpl'}
        {/if}
    {/block}

    {block name='checkout-index-content'}

        <div id="result-wrapper" data-wrapper="true">
            <div id="checkout">
                {et_renderGrid id="checkout_main"}
            </div>
        </div>

        {if (isset($nWarenkorb2PersMerge) && $nWarenkorb2PersMerge === 1)}
            {block name='checkout-index-script-basket-merge'}
                {inline_script}<script>
                    $(window).on('load', function() {
                        $(function() {
                            eModal.addLabel('{lang key='yes' section='global'}', '{lang key='no' section='global'}');
                            var options = {
                                message: '{lang key='basket2PersMerge' section='login'}',
                                label: '{lang key='yes' section='global'}',
                                title: '{lang key='basket' section='global'}'
                            };
                            eModal.confirm(options).then(
                                function() {
                                    window.location = "{get_static_route id='bestellvorgang.php'}?basket2Pers=1&token={$smarty.session.jtl_token}"
                                }
                            );
                        });
                    });
                </script>{/inline_script}
            {/block}
        {/if}
        {block name='checkout-index-script-location'}
            <script>
                if (top.location !== self.location) {
                    top.location = self.location.href;
                }
            </script>
        {/block}
    {/block}

    {block name='checkout-index-include-footer'}
        {if !isset($bAjaxRequest) || !$bAjaxRequest}
            {include file='layout/footer.tpl'}
        {/if}
    {/block}
{/block}
