{block name='checkout-step1-edit-customer-address'}
    {if isset($editRechnungsadresse) && $editRechnungsadresse === 1 && !empty($smarty.session.Kunde->kKunde)}
        {assign var=unreg_form value=0}
        {assign var=unreg_step value=$step}
    {else}
        {assign var=unreg_form value=1}
        {assign var=unreg_step value='formular'}
    {/if}
    {if !empty($fehlendeAngaben) && !$alertNote}
        {block name='checkout-step1-edit-customer-address-alert'}
            <div role="alert" class="alert alert-danger">{lang key='mandatoryFieldNotification' section='errorMessages'}</div>
        {/block}
    {/if}
    <div class="row">
        <div class="col col-12 col-lg-9">
            <div id="order-proceed-as-guest">
                {block name='checkout-step1-edit-customer-address-form'}
                    <form id="neukunde" method="post" action="{get_static_route id='bestellvorgang.php'}" class="jtl-validate label-slide">
                        {csrf_token}

                        {block name='include-inc-billing-address-form'}
                            {include file='checkout/inc_billing_address_form.tpl' step=$unreg_step}
                        {/block}
                        {block name='include-inc-shipping-address'}
                            {include file='checkout/inc_shipping_address.tpl'}
                        {/block}
                        {block name='checkout-step1-edit-customer-address-form-submit'}
                            <div class="row checkout-button-row">
                                <div class="col col-12 col-md-4 col-xl-3 checkout-button-row-submit">
                                    <input type="hidden" name="unreg_form" value="{$unreg_form}" />
                                    <input type="hidden" name="editRechnungsadresse" value="{$editRechnungsadresse}" />
                                    {include file="widgets/base/button.tpl" variant="primary" classes="d-none btn-block submit_once" type="submit" label="{lang key='sendCustomerData' section='account data'}"}
                                </div>
                            </div>
                        {/block}
                    </form>
                {/block}
            </div>
        </div>
        {block name='checkout-step1edit-customer-address-sidebar'}
            <div class="col col-12 col-lg-3 ml-auto">
                {include file="widgets/snippets/checkout_sidebar.tpl" context="checkout_step1"}
            </div>
        {/block}
    </div>
{/block}
