{block name='layout-header-shop-nav-account'}
    <div class="nav-item dropdown account-icon-dropdown" aria-expanded="false">
        <a class="nav-link nav-link-custom"
            href="#"
            data-toggle="dropdown"
            aria-haspopup="true"
            aria-expanded="false"
            role="button"
            aria-label="{lang key='myAccount'}"
        >
            <span class="{et_getIcon key='login'}"></span>
        </a>
        <div class="dropdown-menu dropdown-menu-right">

            {if empty($smarty.session.Kunde->kKunde)}
                {block name='layout-header-shop-nav-account-logged-out'}
                    <div class="dropdown-body lg-min-w-lg">
                        {form action="{get_static_route id='jtl.php' secure=true}" method="post" class="jtl-validate" slide=true}
                            {block name='layout-header-shop-nav-account-form-content'}
                                <fieldset id="quick-login">
                                    {block name='layout-header-nav-account-form-email'}
                                        {formgroup label-for="email_quick" label={lang key='emailadress'}}
                                            <input type="email" name="email" id="email_quick" class="form-control form-control-sm"
                                                placeholder=" "
                                                autocomplete="email" />
                                        {/formgroup}
                                    {/block}
                                    {block name='layout-header-nav-account-form-password'}
                                        {formgroup label-for="password_quick" label={lang key='password'} class="account-icon-dropdown-pass"}
                                            <input type="password" name="passwort" id="password_quick" class="form-control form-control-sm"
                                                required placeholder=" "
                                                autocomplete="current-password" />
                                        {/formgroup}
                                    {/block}
                                    {block name='layout-header-nav-account-form-captcha'}
                                        {if isset($showLoginCaptcha) && $showLoginCaptcha}
                                            {formgroup class="simple-captcha-wrapper"}
                                                {captchaMarkup getBody=true}
                                            {/formgroup}
                                        {/if}
                                    {/block}
                                    {block name='layout-header-shop-nav-account-form-submit'}
                                        {formgroup}
                                            <input type="hidden" name="login" value="1" />
                                            {if !empty($oRedirect->cURL)}
                                                {foreach $oRedirect->oParameter_arr as $oParameter}
                                                    <input type="hidden" name="{$oParameter->Name}" value="{$oParameter->Wert}" />
                                                {/foreach}
                                                <input type="hidden" name="r" value="{$oRedirect->nRedirect}" />
                                                <input type="hidden" name="cURL" value="{$oRedirect->cURL}" />
                                            {/if}
                                            {include file="widgets/base/button.tpl" type="submit" variant="primary" classes="btn-sm btn-block" id="submit-btn" label="{lang key='login'}"}
                                        {/formgroup}
                                    {/block}
                                </fieldset>
                            {/block}
                        {/form}
                        {block name='layout-header-nav-account-link-forgot-password'}
                            <a href="{get_static_route id='pass.php'}" rel="nofollow" title="{lang key='forgotPassword'}">
                                {lang key='forgotPassword'}
                            </a>
                        {/block}
                        {block name='layout-header-nav-amazonpay-login-placeholder'}
                            <div id="amapay-login-dropdown"></div>
                        {/block}
                    </div>
                    {block name='layout-header-nav-account-link-register'}
                        <div class="dropdown-footer">
                            {lang key='newHere'}
                            <a href="{get_static_route id='registrieren.php'}" rel="nofollow" title="{lang key='registerNow'}">
                                {lang key='registerNow'}
                            </a>
                        </div>
                    {/block}
                {/block}
            {else}
                {block name='layout-header-shop-nav-account-logged-in'}
                    <a target="_self" class="dropdown-item" href="{get_static_route id='jtl.php' secure=true}" rel="nofollow" title="{lang key='myAccount'}">
                        {lang key='myAccount'}
                    </a>
                    <a target="_self" class="dropdown-item" href="{get_static_route id='jtl.php' secure=true}?bestellungen=1" rel="nofollow" title="{lang key='myAccount'}">
                        {lang key='myOrders'}
                    </a>
                    <a target="_self" class="dropdown-item" href="{get_static_route id='jtl.php' secure=true}?editRechnungsadresse=1" rel="nofollow" title="{lang key='myAccount'}">
                        {lang key='myPersonalData'}
                    </a>
                    {if $Einstellungen.global.global_wunschliste_anzeigen === 'Y'}
                        <a target="_self" class="dropdown-item" href="{get_static_route id='jtl.php' secure=true}#my-wishlists" rel="nofollow" title="{lang key='myAccount'}">
                            {lang key='myWishlists'}
                        </a>
                    {/if}
                    {if $Einstellungen.vergleichsliste.vergleichsliste_anzeigen === 'Y'}
                        <a target="_self" class="dropdown-item" href="{get_static_route id='vergleichsliste.php'}" title="{lang key='myCompareList'}">
                            {lang key='myCompareList'}
                        </a>
                    {/if}
                    <div role="separator" class="dropdown-divider"></div>
                    <a target="_self" href="{get_static_route id='jtl.php' secure=true}?logout=1" rel="nofollow" title="{lang key='logOut'}" class="dropdown-item account-icon-dropdown-logout">
                        {lang key='logOut'}
                    </a>
                {/block}
            {/if}
        </div>
    </div>
{/block}
