{block name='productdetails-question-on-item'}
    {if isset($fehlendeAngaben_fragezumprodukt)}
        {$fehlendeAngaben = $fehlendeAngaben_fragezumprodukt}
    {/if}
    {if isset($position) && $position === 'popup'}
        {if count($Artikelhinweise) > 0}
            {block name='productdetails-question-on-item-alert'}
                <div role="alert" class="alert alert-danger alert-dismissable">
                    <button type="button" aria-label="Close" class="close" data-dismiss="alert">
                        <span aria-hidden="true"><i class="{et_getIcon key="close"}"></i></span>
                    </button>
                    <div class="sr-only">x</div>
                    {et_getIcon key="alertDanger" assign='icon'}
                    {if $icon}<i class="{$icon}"></i>{/if}

                    {foreach $Artikelhinweise as $Artikelhinweis}
                        {$Artikelhinweis}
                    {/foreach}
                </div>
            {/block}
        {/if}
    {/if}
    {block name='productdetails-question-on-item-form'}
    <form action="{if !empty($Artikel->cURLFull)}{$Artikel->cURLFull}{if $Einstellungen.artikeldetails.artikeldetails_fragezumprodukt_anzeigen === 'Y'}#tab-questionOnItem{/if}{else}{$ShopURL}/{/if}"
        method="post"
        id="article_question"
        class="jtl-validate label-slide"
    >
        {csrf_token}
        {block name='productdetails-question-on-item-form-fieldset-contact'}
            <fieldset>
                {block name='productdetails-question-on-item-form-legend-contact'}
                    <legend>{lang key='contact'}</legend>
                {/block}
                <div class="row">
                    {if $Einstellungen.artikeldetails.produktfrage_abfragen_anrede !== 'N'}
                        {block name='productdetails-question-on-item-form-salutation'}
                            <div class="col col-12 col-md-6">
                                {formgroup
                                    label-for="salutation"
                                    label="{lang key='salutation' section='account data'}{if $Einstellungen.artikeldetails.produktfrage_abfragen_anrede === 'O'}<span class='optional'> - {lang key='optional'}</span>{/if}"
                                }
                                    <select class='form-control custom-select' name="anrede" id="salutation" autocomplete="honorific-prefix" {if ($Einstellungen.artikeldetails.produktfrage_abfragen_anrede === 'Y')}required{/if}>
                                        <option value="" {if $Einstellungen.artikeldetails.produktfrage_abfragen_anrede === 'Y'}disabled{/if} selected>
                                            {if $Einstellungen.artikeldetails.produktfrage_abfragen_anrede === 'Y'}{lang key='salutation' section='account data'}{else}{lang key='noSalutation'}{/if}
                                        </option>
                                        <option value="w" {if isset($Anfrage->cAnrede) && $Anfrage->cAnrede === 'w'}selected="selected"{/if}>{lang key='salutationW'}</option>
                                        <option value="m" {if isset($Anfrage->cAnrede) && $Anfrage->cAnrede === 'm'}selected="selected"{/if}>{lang key='salutationM'}</option>
                                    </select>
                                {/formgroup}
                            </div>
                        {/block}
                        <div class="w-100-util"></div>
                    {/if}

                    {if $Einstellungen.artikeldetails.produktfrage_abfragen_vorname !== 'N' || $Einstellungen.artikeldetails.produktfrage_abfragen_nachname !== 'N'}
                        {block name='productdetails-question-on-item-form-name'}
                            {if $Einstellungen.artikeldetails.produktfrage_abfragen_vorname !== 'N'}
                                <div class="col col-12 col-md-6">
                                    {include file='snippets/form_group_simple.tpl'
                                        options=[
                                            'text', 'firstName', 'vorname',
                                            {$Anfrage->cVorname|default:null}, {lang key='firstName' section='account data'},
                                            $Einstellungen.artikeldetails.produktfrage_abfragen_vorname, null, 'given-name'
                                        ]
                                    }
                                </div>
                            {/if}

                            {if $Einstellungen.artikeldetails.produktfrage_abfragen_nachname !== 'N'}
                                <div class="col col-12 col-md-6">
                                    {include file='snippets/form_group_simple.tpl'
                                        options=[
                                            'text', 'lastName', 'nachname',
                                            {$Anfrage->cNachname|default:null}, {lang key='lastName' section='account data'},
                                            $Einstellungen.artikeldetails.produktfrage_abfragen_nachname, null, 'family-name'
                                        ]
                                    }
                                </div>
                            {/if}
                        {/block}
                        <div class="w-100-util"></div>
                    {/if}

                    {if $Einstellungen.artikeldetails.produktfrage_abfragen_firma !== 'N'}
                        {block name='productdetails-question-on-item-form-firm'}
                            <div class="col col-12 col-md-6">
                                {include file='snippets/form_group_simple.tpl'
                                    options=[
                                        'text', 'company', 'firma',
                                        {$Anfrage->cFirma|default:null}, {lang key='firm' section='account data'},
                                        $Einstellungen.artikeldetails.produktfrage_abfragen_firma, null, 'organization'
                                    ]
                                }
                            </div>
                        {/block}
                    {/if}

                    {block name='productdetails-question-on-item-form-email'}
                        <div class="col col-12">
                            {include file='snippets/form_group_simple.tpl'
                                options=[
                                    'email', 'question_email', 'email',
                                    {$Anfrage->cMail|default:null}, {lang key='email' section='account data'},
                                    true, null, 'email'
                                ]
                            }
                        </div>
                    {/block}
                    {if $Einstellungen.artikeldetails.produktfrage_abfragen_tel !== 'N' || $Einstellungen.artikeldetails.produktfrage_abfragen_mobil !== 'N'}
                        {block name='productdetails-question-on-item-form-mobil'}
                            {if $Einstellungen.artikeldetails.produktfrage_abfragen_tel !== 'N'}
                                <div class="col col-12 col-md-6">
                                    {include file='snippets/form_group_simple.tpl'
                                        options=[
                                            'tel', 'tel', 'tel',
                                            {$Anfrage->cTel|default:null}, {lang key='tel' section='account data'},
                                            $Einstellungen.artikeldetails.produktfrage_abfragen_tel, null, 'home tel'
                                        ]
                                    }
                                </div>
                            {/if}

                            {if $Einstellungen.artikeldetails.produktfrage_abfragen_mobil !== 'N'}
                                <div class="col col-12 col-md-6">
                                    {include file='snippets/form_group_simple.tpl'
                                        options=[
                                            'tel', 'mobile', 'mobil',
                                            {$Anfrage->cMobil|default:null}, {lang key='mobile' section='account data'},
                                            $Einstellungen.artikeldetails.produktfrage_abfragen_mobil, null, 'mobile tel'
                                        ]
                                    }
                                </div>
                            {/if}
                        {/block}
                    {/if}

                    {if $Einstellungen.artikeldetails.produktfrage_abfragen_fax !== 'N'}
                        {block name='productdetails-question-on-item-form-fax'}
                            <div class="col col-md-6">
                                {include file='snippets/form_group_simple.tpl'
                                    options=[
                                        'tel', 'fax', 'fax',
                                        {$Anfrage->cMobil|default:null}, {lang key='fax' section='account data'},
                                        $Einstellungen.artikeldetails.produktfrage_abfragen_fax, null, 'fax tel'
                                    ]
                                }
                            </div>
                        {/block}
                    {/if}
                </div>
            </fieldset>
        {/block}
        {block name='productdetails-question-on-item-form-fieldset-product-question'}
        <fieldset>
            {block name='productdetails-question-on-item-form-legend-product-question'}
                <legend>{lang key='productQuestion' section='productDetails'}</legend>
            {/block}
            {block name='productdetails-question-on-item-form-textarea'}
                {formgroup label-for="question" label="{lang key='question' section='productDetails'}"}
                    {if isset($fehlendeAngaben_fragezumprodukt.nachricht) && $fehlendeAngaben_fragezumprodukt.nachricht > 0}
                        <div class="form-error-msg"><i class="{et_getIcon key="missingInput"}"></i> {if $fehlendeAngaben_fragezumprodukt.nachricht > 0}{lang key='fillOut'}{/if}</div>
                    {/if}
                    <textarea name="nachricht" id="question" rows="8" required placeholder=" " class="form-control {if isset($fehlendeAngaben_fragezumprodukt.nachricht) && $fehlendeAngaben_fragezumprodukt.nachricht > 0}has-error{/if}">{if isset($Anfrage)}{$Anfrage->cNachricht}{/if}</textarea>
                {/formgroup}
            {/block}
            {block name='productdetails-question-on-item-form-include-checkbox'}
                {if isset($fehlendeAngaben_fragezumprodukt)}
                    {include file='snippets/checkbox.tpl' nAnzeigeOrt=$smarty.const.CHECKBOX_ORT_FRAGE_ZUM_PRODUKT cPlausi_arr=$fehlendeAngaben_fragezumprodukt cPost_arr=null}
                {else}
                    {include file='snippets/checkbox.tpl' nAnzeigeOrt=$smarty.const.CHECKBOX_ORT_FRAGE_ZUM_PRODUKT cPlausi_arr=null cPost_arr=null}
                {/if}
            {/block}

        </fieldset>
        {/block}
        {if (!isset($smarty.session.bAnti_spam_already_checked) || $smarty.session.bAnti_spam_already_checked !== true) &&
            isset($Einstellungen.artikeldetails.produktfrage_abfragen_captcha) && $Einstellungen.artikeldetails.produktfrage_abfragen_captcha !== 'N' && empty($smarty.session.Kunde->kKunde)}
            {block name='productdetails-question-on-item-form-captcha'}
                <div class="row">
                    <div class="col {if !empty($fehlendeAngaben_fragezumprodukt.captcha)}has-error{/if}">
                        {captchaMarkup getBody=true}
                    </div>
                </div>
            {/block}
        {/if}

        {if $Einstellungen.artikeldetails.artikeldetails_fragezumprodukt_anzeigen === 'P' && isset($oSpezialseiten_arr[$smarty.const.LINKTYP_DATENSCHUTZ])}
            {block name='productdetails-question-on-item-form-privacy'}
                <p class="privacy text-muted-util small">
                    <a href="{$oSpezialseiten_arr[$smarty.const.LINKTYP_DATENSCHUTZ]->getURL()}" class="popup">
                        {lang key='privacyNotice'}
                    </a>
                </p>
            {/block}
        {/if}

        {block name='productdetails-question-on-item-form-submit'}
            <input type="hidden" name="a" value="{$Artikel->kArtikel}" />
            <input type="hidden" name="show" value="1" />
            <input type="hidden" name="fragezumprodukt" value="1" />
            <div class="row">
                <div class="col col-md-auto ml-auto-util">
                    {include file="widgets/base/button.tpl" variant="primary" type="submit" value="1" classes="btn-block" label="{lang key='sendQuestion' section='productDetails'}"}
                </div>
            </div>
        {/block}
    </form>
    {/block}
{/block}
