{block name='snippets-filter-price-slider'}
    {block name='snippets-filter-price-slider-content'}
        <input data-id='js-price-range' type="hidden" value="{$priceRange}" />
        <input data-id='js-price-range-max' type="hidden" value="{$priceRangeMax}" />
        <input data-id='js-price-range-id' type="hidden" value="{$id}" />
        {if $smarty.session.Waehrung->getHtmlEntity() !== null && $smarty.session.Waehrung->getHtmlEntity() !== ''}
            {assign var="currencyDisplayName" value=$smarty.session.Waehrung->getHtmlEntity()}
        {else}
            {assign var="currencyDisplayName" value=$smarty.session.Waehrung->getCode()}
        {/if}

        <div id="{$id}" class="price-range-slide"></div>
        <div class="row no-gutters price-range-inputs">
            <div class="col col-5">
                <div class="input-group">
                    <input id="{$id}-from" class="form-control price-range-input" placeholder="0" aria-label="{lang key='differentialPriceFrom' section='productOverview'}" />
                    <div class="input-group-append">
                        <div class="input-group-text">{$currencyDisplayName}</div>
                    </div>
                </div>
            </div>
            <div class="col col-5">
                <div class="input-group">
                    <input id="{$id}-to" class="form-control price-range-input"  placeholder="{$priceRangeMax}" aria-label="{lang key='differentialPriceTo' section='productOverview'}" />
                    <div class="input-group-append">
                        <div class="input-group-text">{$currencyDisplayName}</div>
                    </div>
                </div>
            </div>
        </div>
    {/block}
    {block name='snippets-filter-price-slider-script'}
        {inline_script}<script>
            $(window).on('load', function() {
                $.evo.initPriceSlider($('.js-price-range-box'), $('#js-price-redirect').val() != 1);
            });
        </script>{/inline_script}
    {/block}
{/block}
