<div class="et-menu-item et-menu-sitemap col-12" id="et-menu-main-item-{$et_BaseWidget.id}" tabindex="0">
    <a class="et-menu-item-link no-style"{if !empty($et_MenuSitemap.image.src)} style="background-image: url('{$et_MenuSitemap.image.src}');"{/if}>
        <div class="et-menu-item-title">
            {if empty($et_MenuSitemap.label.value)}
                {if !empty($et_MenuSitemap.icon)}<i class="{$et_MenuSitemap.icon}"></i>{/if}<span>{lang key="sitemap" section="global"}</span>
            {else}
                {if !empty($et_MenuSitemap.icon)}<i class="{$et_MenuSitemap.icon}"></i>{/if}{include file="widgets/base/textfield.tpl" value=$et_MenuSitemap.label type="span"}
            {/if}
        </div>
    </a>
    <div class="et-menu-item-content et-menu-sitemap-mobile-content d-none">
        <div class="row">
            <div class="col-12">
                {* Link Groups *}
                <div class="et-menu-sitemap-link-groups">
                    <h4>{lang key='sitemapSites'}</h4>
                    <div class="row">
                        {foreach $linkgroups as $linkGroup}
                            {if !empty($linkGroup) && !empty($linkGroup->getName()) && !in_array($linkGroup->getName(), ['hidden', 'megamenu', 'staticroutes', 'specialpages', 'unassigned']) && !empty($linkGroup->getLinks())}
                                <div class="col-12 col-sm-6">
                                    <div class="et-menu-sitemap-link-group">
                                        <div class="et-menu-sitemap-link-group-name">{$linkGroup->getName()}</div>
                                        {if $linkGroup->getLinks()->count() > 0}
                                            <div class="et-menu-sitemap-link-group-links">
                                                {foreach $linkGroup->getLinks() as $link}
                                                    <div class="et-menu-sitemap-link-group-link">
                                                        <a class="link-discreet" href="{$link->getURL()}" rel="{if $link->getNoFollow()}nofollow{/if}" title="{$link->getName()|strip_tags|escape:'html'}">{$link->getName()}</a>
                                                    </div>
                                                {/foreach}
                                            </div>
                                        {/if}
                                    </div>
                                </div>
                            {/if}
                        {/foreach}
                    </div>
                </div>
                {* Manufacturers *}
                {if count($et_MenuSitemap.manufacturers) > 0}
                    <div class="et-menu-sitemap-manufacturers">
                        <h4>{lang key='sitemapNanufacturer'}</h4>
                        <div class="row">
                            {foreach $et_MenuSitemap.manufacturers as $manufacturer}
                                <div class="col col-12 col-sm-6">
                                    <a href="{$manufacturer->cURL}" class="link-discreet" title="{$manufacturer->cName|strip_tags|escape:'html'}">{$manufacturer->cName}</a>
                                </div>
                            {/foreach}
                        </div>
                    </div>
                {/if}
            </div>
        </div>
    </div>
</div>