<div class="et-menu-item et-menu-tiles col-auto{if $et_MenuTiles.alignRight} et-menu-item-align-right{/if}" id="et-menu-main-item-{$et_BaseWidget.id}" data-menu-size="{$et_MenuTiles.size}" data-menu-navigate="{if isset($et_MenuTiles.link) && $et_MenuTiles.link.href !== ''}true{else}false{/if}" aria-expanded="false" tabindex="0"{if !empty($et_MenuTiles.image.src)} style="background-image: url('{$et_MenuTiles.image.src}');"{/if}>
    <a class="et-menu-item-link no-style"
            {if isset($et_MenuTiles.link) && $et_MenuTiles.link.href !== ''} href="{$et_MenuTiles.link.href}"{/if}
            {if isset($et_MenuTiles.link) && $et_MenuTiles.link.title !== ''} title="{$et_MenuTiles.link.title}"{/if}
            {if isset($et_MenuTiles.link) && $et_MenuTiles.link.external} target="_blank" rel="noreferrer noopener"{/if}>
        <div class="et-menu-item-title">
            {if !empty($et_MenuTiles.icon)}<i class="{$et_MenuTiles.icon}"></i>{/if}{include file="widgets/base/textfield.tpl" value=$et_MenuTiles.label type="span"}
        </div>
    </a>
    <div class="et-menu-item-content et-menu-tiles-main-content d-none">
        {if isset($et_MenuTiles.items)}
            {$itemCount = count($et_MenuTiles.items)}
        {else}
            {$itemCount = 0}
        {/if}
        <div class="row row-cols-{$et_MenuTiles.tilesPerRow.xs|min:$itemCount} row-cols-sm-{$et_MenuTiles.tilesPerRow.sm|min:$itemCount} row-cols-md-{$et_MenuTiles.tilesPerRow.md|min:$itemCount} row-cols-lg-{$et_MenuTiles.tilesPerRow.lg|min:$itemCount} row-cols-xl-{$et_MenuTiles.tilesPerRow.xl|min:$itemCount}">
            {foreach from=$et_MenuTiles.items item='tile' name='tiles'}
                <div class="col et-menu-tiles-tile">
                    {if !empty($tile.link.href)}
                        <a class="link-discreet" href="{$tile.link.href}"{if !empty($tile.link.title)} title="{$tile.link.title}"{/if}{if $tile.link.external} target="_blank" rel="noreferrer noopener"{/if}>
                    {/if}
                    {if !empty($tile.title.value)}
                        {include file='widgets/base/textfield.tpl' value=$tile.title classes='et-menu-tiles-tile-title' type="h4"}
                    {/if}
                    {if !empty($tile.image.src)}
                        {image fluid=true lazy=true
                        src=$tile.image.src
                        alt=$tile.image.alt|escape
                        class="et-menu-tiles-tile-image"
                        }
                    {/if}
                    {if !empty($tile.description.value)}
                        {include file='widgets/base/textfield.tpl' value=$tile.description classes='et-menu-tiles-tile-description' type="div"}
                    {/if}
                    {if !empty($tile.link.href)}
                        </a>
                    {/if}
                </div>
            {/foreach}
        </div>
    </div>
</div>