{extends file='widgets/base/widget.tpl'}

{block name="et-widget-inline-styles"}
    {* Custom colors *}
    {if $et_ProductList.customColorsEnabled}
        <style>
            {if !empty($et_ProductList.colorBox)}
                #{$et_BaseWidget.cssId} .productbox { background-color: {$et_ProductList.colorBox}; }
            {/if}
            {if !empty($et_ProductList.colorFont)}
                #{$et_BaseWidget.cssId} .productbox { color: {$et_ProductList.colorFont}; }
            {/if}
            {if !empty($et_ProductList.colorSpecialPrice)}
                #{$et_BaseWidget.cssId} .special-price { color: {$et_ProductList.colorSpecialPrice}; }
            {/if}
            {if !empty($et_ProductList.colorButtonBackground)}
                #{$et_BaseWidget.cssId} .btn-primary { background-color: {$et_ProductList.colorButtonBackground}; }
            {/if}
            {if !empty($et_ProductList.colorButtonFont)}
                #{$et_BaseWidget.cssId} .btn-primary { color: {$et_ProductList.colorButtonFont}; }
            {/if}
            {if !empty($et_ProductList.colorButtonBorder)}
                #{$et_BaseWidget.cssId} .btn-primary { border-color: {$et_ProductList.colorButtonBorder}; }
            {/if}
            {if !empty($et_ProductList.colorCartButtonBackground)}
                #{$et_BaseWidget.cssId} .btn-cart { background-color: {$et_ProductList.colorCartButtonBackground}; }
            {/if}
            {if !empty($et_ProductList.colorCartButtonFont)}
                #{$et_BaseWidget.cssId} .btn-cart { color: {$et_ProductList.colorCartButtonFont}; }
            {/if}
            {if !empty($et_ProductList.colorCartButtonBorder)}
                 #{$et_BaseWidget.cssId} .btn-cart { border-color: {$et_ProductList.colorCartButtonBorder}; }
            {/if}
            {if !empty($et_ProductList.colorPaginationBackground)}
                #{$et_BaseWidget.cssId} .pagination { background-color: {$et_ProductList.colorPaginationBackground}; }
            {/if}
            {if !empty($et_ProductList.colorPaginationFont)}
                #{$et_BaseWidget.cssId} .pagination { color: {$et_ProductList.colorPaginationFont}; }
            {/if}
            {if !empty($et_ProductList.colorPaginationCurrentBackground)}
                #{$et_BaseWidget.cssId} .pagination .active { background-color: {$et_ProductList.colorPaginationCurrentBackground}; }
            {/if}
            {if !empty($et_ProductList.colorPaginationCurrentFont)}
                #{$et_BaseWidget.cssId} .pagination .active { color: {$et_ProductList.colorPaginationCurrentFont}; }
            {/if}
            {if !empty($et_ProductList.colorCategorySelectBackground)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .et-product-list-filter-category-tree .btn { background-color: {$et_ProductList.colorCategorySelectBackground}; }
                #{$et_BaseWidget.cssId} .et-categories-mega-main-category  { background-color: {$et_ProductList.colorCategorySelectBackground}; }
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .et-product-list-filter-category-tree .dropdown-menu { background-color: {$et_ProductList.colorCategorySelectBackground}; }
            {/if}
            {if !empty($et_ProductList.colorCategorySelectFont)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-category-tree .btn { color: {$et_ProductList.colorCategorySelectFont}; }
                #{$et_BaseWidget.cssId} .et-categories-mega-main-category { color: {$et_ProductList.colorCategorySelectFont}; }
                #{$et_BaseWidget.cssId} .et-product-list-filter-category-tree .dropdown-menu { color: {$et_ProductList.colorCategorySelectFont}; }
            {/if}
            {if !empty($et_ProductList.colorCategorySelectSubcategoriesBackground)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-category-tree .subcategory-wrapper { background-color: {$et_ProductList.colorCategorySelectSubcategoriesBackground}; }
            {/if}
            {if !empty($et_ProductList.colorCategorySelectSubcategoriesFont)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-category-tree .subcategory-wrapper { color: {$et_ProductList.colorCategorySelectSubcategoriesFont}; }
            {/if}
            {if !empty($et_ProductList.colorFilterBackground)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-header { background-color: {$et_ProductList.colorFilterBackground}; }
                #{$et_BaseWidget.cssId} .et-product-list-filter-top-wrapper { background-color: {$et_ProductList.colorFilterBackground}; }
                #{$et_BaseWidget.cssId} .et-product-list-filter-left-wrapper { background-color: {$et_ProductList.colorFilterBackground}; }
            {/if}
            {if !empty($et_ProductList.colorFilterFont)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-header { color: {$et_ProductList.colorFilterFont}; }
                #{$et_BaseWidget.cssId} .et-product-list-filter-top-wrapper { color: {$et_ProductList.colorFilterFont}; }
                #{$et_BaseWidget.cssId} .et-product-list-filter-left-wrapper { color: {$et_ProductList.colorFilterFont}; }
            {/if}
            {if !empty($et_ProductList.colorFilterSelectBackground)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .btn { background-color: {$et_ProductList.colorFilterSelectBackground}; }
            {/if}
            {if !empty($et_ProductList.colorFilterSelectFont)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .btn { color: {$et_ProductList.colorFilterSelectFont}; }
            {/if}
            {if !empty($et_ProductList.colorFilterSelectContentBackground)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .dropdown-menu { background-color: {$et_ProductList.colorFilterSelectContentBackground}; }
            {/if}
            {if !empty($et_ProductList.colorFilterSelectContentFont)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .dropdown-menu { color: {$et_ProductList.colorFilterSelectContentFont}; }
            {/if}
            {if !empty($et_ProductList.colorFilterSelectBadgeBackground)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .dropdown-menu .badge { background-color: {$et_ProductList.colorFilterSelectBadgeBackground}; }
            {/if}
            {if !empty($et_ProductList.colorFilterSelectBadgeFont)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .dropdown-menu .badge { color: {$et_ProductList.colorFilterSelectBadgeFont}; }
            {/if}
            {if !empty($et_ProductList.colorFilterActiveFiltersBackground)}
                #{$et_BaseWidget.cssId} .et-active-filter { background-color: {$et_ProductList.colorFilterActiveFiltersBackground}; }
            {/if}
            {if !empty($et_ProductList.colorFilterActiveFiltersFont)}
                #{$et_BaseWidget.cssId} .et-active-filter { color: {$et_ProductList.colorFilterActiveFiltersFont}; }
            {/if}
            {if !empty($et_ProductList.colorFilterActiveFiltersResetFont)}
                #{$et_BaseWidget.cssId} .et-active-filter-clear { color: {$et_ProductList.colorFilterActiveFiltersFont}; }
            {/if}
            {if !empty($et_ProductList.colorFilterHeadingBackground)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .et-collapse { background-color: {$et_ProductList.colorFilterHeadingBackground}; }
            {/if}
            {if !empty($et_ProductList.colorFilterHeadingFont)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .et-collapse { color: {$et_ProductList.colorFilterHeadingFont}; }
            {/if}
            {if !empty($et_ProductList.colorFilterActiveBadgeBackground)}
                #{$et_BaseWidget.cssId} .et-active-filter .badge { background-color: {$et_ProductList.colorFilterActiveBadgeBackground}; }
            {/if}
            {if !empty($et_ProductList.colorFilterActiveBadgeFont)}
                #{$et_BaseWidget.cssId} .et-active-filter .badge { color: {$et_ProductList.colorFilterActiveBadgeFont}; }
            {/if}
            {if !empty($et_ProductList.colorMoreBackground)}
                #{$et_BaseWidget.cssId} .et-more-filters-trigger .btn {
                    background-color: {$et_ProductList.colorMoreBackground};
                    border-color: {$et_ProductList.colorMoreBackground};
                }
            {/if}
            {if !empty($et_ProductList.colorMoreFont)}
                #{$et_BaseWidget.cssId} .et-more-filters-trigger .btn { color: {$et_ProductList.colorMoreFont}; }
            {/if}
            {if !empty($et_ProductList.colorSortBackground)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .et-product-list-filter-sort .btn { background-color: {$et_ProductList.colorSortBackground}; }
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .et-product-list-filter-productsperpage .btn { background-color: {$et_ProductList.colorSortBackground}; }
                #{$et_BaseWidget.cssId} .et-product-list-filter-productsperpage .et-product-list-filter-nav-item { background-color: {$et_ProductList.colorSortBackground}; }
            {/if}
            {if !empty($et_ProductList.colorSortFont)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .et-product-list-filter-sort .btn { color: {$et_ProductList.colorSortFont}; }
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .et-product-list-filter-productsperpage .btn { color: {$et_ProductList.colorSortFont}; }
                #{$et_BaseWidget.cssId} .et-product-list-filter-productsperpage .et-product-list-filter-nav-item { color: {$et_ProductList.colorSortFont}; }
            {/if}
            {if !empty($et_ProductList.colorSortActiveBackground)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .et-product-list-filter-sort .active { background-color: {$et_ProductList.colorSortActiveBackground}; }
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .et-product-list-filter-productsperpage .active { background-color: {$et_ProductList.colorSortActiveBackground}; }
                #{$et_BaseWidget.cssId} ..et-product-list-filter-productsperpage .et-product-list-filter-nav-item.active { background-color: {$et_ProductList.colorSortActiveBackground}; }
            {/if}
            {if !empty($et_ProductList.colorSortActiveFont)}
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .et-product-list-filter-sort .active { color: {$et_ProductList.colorSortActiveFont}; }
                #{$et_BaseWidget.cssId} .et-product-list-filter-item .et-product-list-filter-productsperpage .active { color: {$et_ProductList.colorSortActiveFont}; }
                #{$et_BaseWidget.cssId} .et-product-list-filter-productsperpage .et-product-list-filter-nav-item.active { color: {$et_ProductList.colorSortActiveFont}; }
            {/if}
        </style>
    {/if}
{/block}

{block name="et-widget-container-inner"}

    {* DETERMINE DISPLAY OF THIS LIST *}
    {* Prio: -> Funktionsattribut -> Benutzereingabe -> ET360-Einstellung -> Core Default *}
    {if (!empty($AktuelleKategorie->categoryFunctionAttributes['darstellung']) && $AktuelleKategorie->categoryFunctionAttributes['darstellung'] == 1)
    || (empty($AktuelleKategorie->categoryFunctionAttributes['darstellung']) && !empty($smarty.session.et_userSelectedProductListDisplayType) && $smarty.session.et_userSelectedProductListDisplayType == 1)
    || (empty($AktuelleKategorie->categoryFunctionAttributes['darstellung']) && empty($smarty.session.et_userSelectedProductListDisplayType) && !empty($et_ProductList.displayStyle) && $et_ProductList.displayStyle === 'list')
    || (empty($AktuelleKategorie->categoryFunctionAttributes['darstellung']) && empty($smarty.session.et_userSelectedProductListDisplayType) && empty($et_ProductList.displayStyle) && (!empty($oErweiterteDarstellung->nDarstellung) && $oErweiterteDarstellung->nDarstellung == 1))
    }
        {assign var=style value='list'}
        {assign var=colsPerRowXs value=$et_ProductList.listProductsPerRow.xs}
        {assign var=colsPerRowSm value=$et_ProductList.listProductsPerRow.sm}
        {assign var=colsPerRowMd value=$et_ProductList.listProductsPerRow.md}
        {assign var=colsPerRowLg value=$et_ProductList.listProductsPerRow.lg}
        {assign var=colsPerRowXl value=$et_ProductList.listProductsPerRow.xl}
    {else}
        {assign var=style value='gallery'}
        {assign var=colsPerRowXs value=$et_ProductList.galleryProductsPerRow.xs}
        {assign var=colsPerRowSm value=$et_ProductList.galleryProductsPerRow.sm}
        {assign var=colsPerRowMd value=$et_ProductList.galleryProductsPerRow.md}
        {assign var=colsPerRowLg value=$et_ProductList.galleryProductsPerRow.lg}
        {assign var=colsPerRowXl value=$et_ProductList.galleryProductsPerRow.xl}
    {/if}

    {block name='productlist-index-list-type'}
        <input type="hidden" id="product-list-type" value="{$style}">
    {/block}

    {* Default sliders by JTL, they are fallbacks if no results were in the actual result set - Do we want those here or should they be separate widgets or do we show them as normal products? *}
    {if $Suchergebnisse->getProducts()|@count <= 0 && isset($KategorieInhalt)}
        {if isset($KategorieInhalt->TopArtikel->elemente) && $KategorieInhalt->TopArtikel->elemente|@count > 0}
            {block name='productlist-header-include-product-slider-top'}
                {opcMountPoint id='opc_before_category_top'}
                {lang key='topOffer' assign='slidertitle'}
                {include file='snippets/product_slider.tpl' id='slider-top-products'
                productlist=$KategorieInhalt->TopArtikel->elemente title=$slidertitle}
            {/block}
        {/if}

        {if isset($KategorieInhalt->BestsellerArtikel->elemente) && $KategorieInhalt->BestsellerArtikel->elemente|@count > 0}
            {block name='productlist-header-include-product-slider-bestseller'}
                {opcMountPoint id='opc_before_category_bestseller'}
                {lang key='bestsellers'  assign='slidertitle'}
                {include file='snippets/product_slider.tpl' id='slider-bestseller-products'
                productlist=$KategorieInhalt->BestsellerArtikel->elemente title=$slidertitle}
            {/block}
        {/if}
    {/if}
    {if $et_ProductList.filterPosition !== 'none' && ($Suchergebnisse->getProducts()|@count > 0 || $NaviFilter->getFilterCount() > 0)}
        {include file="widgets/base/textfield.tpl" value=$et_ProductList.headline type="h2" asRow=true classes="et-widget-headline"}
    {/if}
    <div class="et-product-list-wrapper row et-product-list-filter-position-{$et_ProductList.filterPosition} et-product-list-filter-style-{$et_ProductList.filterStyle} et-product-list-display-style-{$style}">
        {if $et_ProductList.filterPosition !== 'none' && ($Suchergebnisse->getProducts()|@count > 0 || $NaviFilter->getFilterCount() > 0)}
            {block name="et-product-list-filter-wrapper"}
                <div class="col-12{if $et_ProductList.filterPosition === 'left'} col-lg-3{/if} et-product-list-filter-wrapper">
                    {opcMountPoint id='et_before_filters' inContainer=true}
                    {* FILTERS *}
                    {if $et_ProductList.filterPosition === 'top'}
                        <div class="et-product-list-filter-top-wrapper">
                            {include file='widgets/snippets/product_list_filter_top.tpl'
                            filtersPerRow=$et_ProductList.filtersPerRow
                            categoryTreePosition=$et_ProductList.categoryTreePosition
                            filtersActive=($NaviFilter->getFilterCount() > 0)
                            moreFiltersLimit=$et_ProductList.moreFiltersLimit
                            styleActive=$style}
                        </div>
                        <div class="et-product-list-filter-total">
                            {$Suchergebnisse->getProductCount()} {lang key="products" section="global"}
                        </div>
                    {elseif $et_ProductList.filterPosition === 'left'}
                        <div class="et-product-list-filter-left-wrapper{if $et_ProductList.stickyLeft} et-sticky et-sticky-affix{/if}"{if $et_ProductList.stickyLeft} data-affix-to="#product-list" data-sticky-breakpoints='{block name='product-list-sticky-left-breakpoints'}{ "xs": false, "sm": false, "md": false, "lg": true, "xl": true }{/block}'{/if}>
                            {include file='widgets/snippets/product_list_filter_left.tpl' filterStyle=$et_ProductList.filterStyle
                            categoryTreePosition=$et_ProductList.categoryTreePosition
                            filtersActive=($NaviFilter->getFilterCount() > 0)
                            styleActive=$style}
                        </div>
                    {/if}
                    {opcMountPoint id='et_after_filters' inContainer=true}
                </div>
                {if $et_ProductList.filterPosition === 'top' && $et_ProductList.categoryTreePosition === 'alwaysLeft'}
                    {block name="et-product-list-category-tree-always-left"}
                        {* In this case the category is on the left while filters are on the top (= hybrid view) *}
                        <div class="d-none d-lg-block col-lg-3 et-product-list-filter-wrapper">
                            <div class="et-product-list-filter-left-wrapper{if $et_ProductList.stickyLeft} et-sticky et-sticky-affix{/if}"{if $et_ProductList.stickyLeft} data-affix-to="#product-list" data-sticky-breakpoints='{block name='product-list-sticky-left-breakpoints'}{ "xs": false, "sm": false, "md": false, "lg": true, "xl": true }{/block}'{/if}>
                                <div class="row et-product-list-filter-left">
                                    <div class="col-12">
                                        <div class="et-product-list-filter-category-tree before-filters">
                                            {include file='snippets/categories_mega.tpl'}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {/block}
                {/if}
            {/block}
        {elseif $et_ProductList.categoryTreePosition === 'alwaysLeft' && $Suchergebnisse->getProducts()|@count > 0}
            {* Make sure the category tree is always shown if it is displayed independently of filters *}
            {block name="et-product-list-category-tree-always-left"}
                <div class="d-none d-lg-block col-lg-3 et-product-list-filter-wrapper">
                    <div class="et-product-list-filter-left-wrapper{if $et_ProductList.stickyLeft} et-sticky et-sticky-affix{/if}"{if $et_ProductList.stickyLeft} data-affix-to="#product-list" data-sticky-breakpoints='{block name='product-list-sticky-left-breakpoints'}{ "xs": false, "sm": false, "md": false, "lg": true, "xl": true }{/block}'{/if}>
                        <div class="row et-product-list-filter-left">
                            <div class="col-12">
                                <div class="et-product-list-filter-category-tree before-filters">
                                    {include file='snippets/categories_mega.tpl'}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            {/block}
        {/if}

        {block name="et-product-list-products-wrapper"}
            <div class="col-12{if $et_ProductList.filterPosition === 'left' || $et_ProductList.categoryTreePosition === 'alwaysLeft'} col-lg-9{/if} et-product-list-products-wrapper">
                {* PRODUCTS *}
                {if !empty($Suchergebnisse->getError())}
                    {block name='productlist-index-alert'}
                        <div role="alert" class="alert alert-danger">
                            <div class="sr-only">x</div>
                            {$Suchergebnisse->getError()}
                        </div>
                    {/block}
                {/if}
                {if $NaviFilter->getFilterCount() > 0}
                    {$alertList->displayAlertByKey('noFilterResults')}
                {/if}
                {* PAGINATION BEFORE PRODUCT LIST *}
                {if $et_ProductList.paginationPosition === 'before' || $et_ProductList.paginationPosition === 'both' || $et_ProductList.paginationMode === 'endless'}
                    {block name='et-productlist-pagination-before'}
                        {include file='widgets/snippets/product_list_pagination.tpl' endlessDirection='back' paginationMode=$et_ProductList.paginationMode position='before'}
                    {/block}
                {/if}
                {block name='productlist-index-products'}
                    {if $Suchergebnisse->getProducts()|@count > 0 || isset($oBestseller_arr) && $oBestseller_arr|@count > 0}
                        {opcMountPoint id='opc_before_products'}
                        {* NOTE: $et_ProductList.products is a merged array of oBestseller_arr and $Suchergebnisse->getProducts() *}
                        <div class="row product-list row-cols-{$colsPerRowXs} row-cols-sm-{$colsPerRowSm} row-cols-md-{$colsPerRowMd} row-cols-lg-{$colsPerRowLg} row-cols-xl-{$colsPerRowXl} layout-{$style}" data-products-per-row='{if $style === 'list'}{$et_ProductList.listProductsPerRow|json_encode}{else}{$et_ProductList.galleryProductsPerRow|json_encode}{/if}' id="product-list" itemprop="mainEntity" itemscope itemtype="https://schema.org/ItemList">
                            {foreach $et_ProductList.products as $Artikel}
                                <div class="product-wrapper col"
                                    itemprop="itemListElement" itemscope itemtype="https://schema.org/Product"
                                >
                                    {if $style === 'list'}
                                        {block name='productlist-index-include-item-list'}
                                            {include file='productlist/item_list.tpl'
                                            showRatings=$et_ProductList.listShowRatings
                                            showManufacturer=$et_ProductList.listShowManufacturer
                                            showQuickview=$et_ProductList.listShowQuickview
                                            showBasket=$et_ProductList.listShowBasket
                                            showVariations=$et_ProductList.listShowVariations
                                            maxVariations=$et_ProductList.listMaxVariations
                                            maxVariationValues=$et_ProductList.listMaxVariationValues
                                            tplscope='list'}
                                        {/block}
                                    {else}
                                        {block name='productlist-index-include-item-box'}
                                            {include file='productlist/item_box.tpl'
                                            showRatings=$et_ProductList.galleryShowRatings
                                            showManufacturer=$et_ProductList.galleryShowManufacturer
                                            showQuickview=$et_ProductList.galleryShowQuickview
                                            showBasket=$et_ProductList.galleryShowBasket
                                            showVariations=$et_ProductList.galleryShowVariations
                                            maxVariations=$et_ProductList.galleryMaxVariations
                                            maxVariationValues=$et_ProductList.galleryMaxVariationValues
                                            hoverEffectEnabled=true
                                            tplscope='gallery'}
                                        {/block}
                                    {/if}
                                </div>
                            {/foreach}
                        </div>
                    {/if}
                {/block}
                {block name='et-productlist-advertising-boxes'}
                    {if $Suchergebnisse->getProducts()|@count > 0 || isset($oBestseller_arr) && $oBestseller_arr|@count > 0}
                        {* Boxes are positioned as needed via JS *}
                        {foreach from=$et_ProductList.advertisingBoxes item='advertisingBox'}
                            {* Note: We intentionally do not use the word ad/advertising here to prevent ad blockers from removing these while being overly zealous *}
                            <div class="et-info-box et-info-box-display-mode-{$advertisingBox.displayMode} col" data-target-position='{$advertisingBox.targetPosition|json_encode}' data-display-mode="{$advertisingBox.displayMode}">
                                <div class="et-info-box-content">
                                    {if $advertisingBox.link !== null && !empty($advertisingBox.link.href)}
                                    <a href="{$advertisingBox.link.href}"{if !empty($advertisingBox.link.title)} title="{$advertisingBox.link.title}"{/if}{if $advertisingBox.link.external} target="_blank" rel="noreferrer noopener"{/if}>
                                        {/if}
                                        {if $advertisingBox.useCustomContent}
                                            <div class="et-info-box-content-custom">
                                                {$advertisingBox.content}
                                            </div>
                                        {else}
                                            <div class="et-info-box-content-image">
                                                {if $advertisingBox.imageMode === 'breakpointImage'}
                                                    {include file='widgets/base/breakpoint_image.tpl' image=$advertisingBox.breakpointImage lazy=true}
                                                {elseif !empty($advertisingBox.image.src)}
                                                    {* Not using lazysizes here, it does not work properly for these images (probably because they are not initially visible?) and sometimes does not remove the loading class *}
                                                    <img src="{$advertisingBox.image.src}" class="img-fluid" loading="lazy" alt="{$advertisingBox.image.alt}"/>
                                                {/if}
                                            </div>
                                        {/if}
                                        {if $advertisingBox.link !== null && !empty($advertisingBox.link.href)}
                                    </a>
                                    {/if}
                                </div>
                            </div>
                        {/foreach}
                    {/if}
                {/block}
                {* PAGINATION AFTER PRODUCT LIST *}
                {if $et_ProductList.paginationPosition === 'after' || $et_ProductList.paginationPosition === 'both' || $et_ProductList.paginationMode === 'endless'}
                    {block name='et-productlist-pagination-after'}
                        {include file='widgets/snippets/product_list_pagination.tpl' endlessDirection='forward' paginationMode=$et_ProductList.paginationMode position='after'}
                    {/block}
                {/if}
            </div>
        {/block}
    </div>
    {block name='productlist-index-include-productlist-footer'}
        {include file='productlist/footer.tpl'}
    {/block}
{/block}