{if $Suchergebnisse->getPages()->getMaxPage() > 1 && !($isMobile && $navid === 'header')}
    {$paginationMode = $paginationMode|default:'pages'}
    {$endlessDirection = $endlessDirection|default:'forward'}
    {$position = $position|default:'after'}
    {block name='snippets-productlist-page-nav-page-nav'}
        <div class="row">
            <div class="col-12 productlist-pagination et-pagination-position-{$position}">
                {if $paginationMode === 'endless'}
                    {block name='snippets-productlist-page-nav-page-nav-endless-scroll'}
                        <div class="et-endless-scroll"
                            data-et-endless-scroll
                            data-et-endless-scroll-direction="{$endlessDirection}"
                            data-et-endless-scroll-current="{$Suchergebnisse->getPages()->getCurrentPage()}"
                            data-et-endless-scroll-max="{$Suchergebnisse->getPages()->getMaxPage()}"
                            data-et-endless-scroll-prev="{if $Suchergebnisse->getPages()->getCurrentPage() > 1}{$filterPagination->getPrev()->getURL()}{/if}"
                            data-et-endless-scroll-next="{if $Suchergebnisse->getPages()->getCurrentPage() < $Suchergebnisse->getPages()->getMaxPage()}{$filterPagination->getNext()->getURL()}{/if}"
                        >
                            <div class="et-endless-scroll-more-wrapper">
                                {include file="widgets/base/button.tpl" type="button" variant="primary" classes="et-endless-scroll-more-trigger" label="{if $endlessDirection === 'forward'}{et_language key='et360_endless_more_forward'}{else}{et_language key='et360_endless_more_back'}{/if}" cssStyle="display:none;"}
                                <div class="et-endless-scroll-loading-indicator" style="display:none;">
                                    <i class="et-icon-spin {et_getIcon key="loading"}"></i>
                                </div>
                            </div>
                        </div>
                    {/block}
                {else}
                    <nav class="navbar-pagination" aria-label="Productlist Navigation">
                        <ul class="pagination">
                            {block name='snippets-productlist-page-nav-first-page'}
                                <li class="page-item{if $Suchergebnisse->getPages()->getCurrentPage() == 1} disabled{/if}">
                                    <a class="page-link link-discreet js-pagination-ajax" href="{$filterPagination->getPrev()->getURL()}" aria-label="{lang key='previous' section='productOverview'}"><i class="{et_getIcon key="navigationPrevious"}"></i></a>
                                </li>
                            {/block}
                            {block name='snippets-productlist-page-nav-pages'}
                                <li class="d-md-none page-item pagination">
                                    <span class="pagination-site">{lang key='page'} <span class="pagination-site-current">{$Suchergebnisse->getPages()->getCurrentPage()}</span> {lang key='of' section='productOverview'} {$Suchergebnisse->getPages()->getMaxPage()}</span>
                                </li>
                                {foreach $filterPagination->getPages() as $page}
                                    <li class="d-none d-md-block page-item{if $page->isActive()} active{/if}">
                                        <a class="page-link link-discreet js-pagination-ajax" href="{$page->getURL()}" title="{lang key='page'} {$page->getPageNumber()}">{$page->getPageNumber()}</a>
                                    </li>
                                {/foreach}
                            {/block}
                            {* Use this if you want Dropdowns for page navigation -
                                <li class="page-item dropdown">
                                    {block name='snippets-productlist-page-nav-button'}
                                        <button type="button" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <span class="pagination-site">{lang key='page'}</span> {$Suchergebnisse->getPages()->getCurrentPage()}
                                        </button>
                                    {/block}
                                    <div class="dropdown-menu shadow-none">
                                        {block name='snippets-productlist-page-nav-pages'}
                                            {foreach $filterPagination->getPages() as $page}
                                                <div class="dropdown-item page-item{if $page->isActive()} active{/if}">
                                                    <a class="page-link js-pagination-ajax" href="{$page->getURL()}"><span class="pagination-site">{lang key='page'}</span> {$page->getPageNumber()}</a>
                                                </div>
                                            {/foreach}
                                        {/block}
                                    </div>
                                </li>
                            *}
                            {block name='snippets-productlist-page-nav-last-page'}
                                <li class="page-item{if $Suchergebnisse->getPages()->getCurrentPage() == $Suchergebnisse->getPages()->getMaxPage()} disabled{/if}">
                                    <a class="page-link link-discreet js-pagination-ajax" href="{$filterPagination->getNext()->getURL()}" aria-label="{lang key='next' section='productOverview'}"><i class="{et_getIcon key="navigationNext"}"></i></a>
                                </li>
                            {/block}
                            {* Use this if you want to display result offsets (Artikel x - y of z)
                                {block name='snippets-productlist-page-nav-current-page-count'}
                                    <div class="col col-auto productlist-item-info {if $Suchergebnisse->getPages()->getMaxPage() > 1}productlist-item-border{/if}">
                                        {lang key="products"} {$Suchergebnisse->getOffsetStart()} - {$Suchergebnisse->getOffsetEnd()} {lang key='of' section='productOverview'} {$Suchergebnisse->getProductCount()}
                                    </div>
                                {/block}
                            *}
                        </ul>
                    </nav>
                {/if}
            </div>
        </div>
    {/block}
{/if}